<?php
defined('BASEPATH') OR exit('No direct script access allowed');
require_once APPPATH . "libraries/tcpdf/PDFMerger.php";
 
use PDFMerger\PDFMerger;
class Auth extends CI_Controller {
	function __construct()
	{
		parent::__construct();
		$this->load->model('Model_arsip');
		$this->load->model('Model_arsippmh');
		$this->load->model('Model_arsipskum');
		$this->load->model('Model_arsipp4');
		$this->load->model('Model_arsipjs');
		$this->load->model('Model_arsipphs');
		$this->load->model('Model_arsipmediasi');
		$this->load->model('Model_arsipbas');
		$this->load->model('Model_arsiprelaas');
		$this->load->model('Model_arsipputusan');
		$this->load->model('Model_arsipbundela');
		$this->load->library('user_agent');		
	}

	public function index()
	{
        $url 				= "http://36.92.101.57:8080/sipp/monitoring";
        $get_url 			= file_get_contents($url);
        $data 				= json_decode($get_url);
		$akhir				=0;
        $a['data0'] 	= $data->monitoring[0];
		$a['data1'] 	= $data->monitoring[1];

        //$this->load->view('beranda-dashboard',$data_array);	

        $url1 			= "http://36.92.101.57:8080/sipp/list-perkara";
        $get_url1 		= file_get_contents($url1);
        $data1 			= json_decode($get_url1);

        $ambil		 	= $data1->ListPerkara;
		$a['ambil']		= $ambil;    	
		$a['page']			= "dashboard";
		$this->load->view('template/beranda', $a);
	}
	
	public function registerPerkara()
	{
        $url 			= "http://36.92.101.57:8080/sipp/list-perkara";
        $get_url 		= file_get_contents($url);
        $data 			= json_decode($get_url);

        $a['datalist'] 	= $data->ListPerkara;
		$a['page']		= "listperkara";
        $this->load->view('template/beranda',$a);	
	}	

    public function detail(){
		$mau_ke			= $this->uri->segment(3);
        $url 			= "http://36.92.101.57:8080/sipp/detail-perkara/".$mau_ke;
        $get_url 		= file_get_contents($url);
        $data 			= json_decode($get_url);

		$perkara_id			= $mau_ke;
		$a['perkara_id']	= $perkara_id;
		//$arsip			= $this->Coba_json->getArsipbyID($perkara_id);
		//$a['arsip']		= $arsip;
		$arsipgugatan 		= $this->Model_arsip->getArsipbyID($perkara_id);
		$a['arsipgugatan']	= $arsipgugatan;
		$arsippmh 			= $this->Model_arsippmh->getArsipbyID($perkara_id);
		$a['arsippmh'] 		= $arsippmh;
		$arsipskum 			= $this->Model_arsipskum->getArsipbyID($perkara_id);
		$a['arsipskum'] 	= $arsipskum;
		$arsipp4 			= $this->Model_arsipp4->getArsipbyID($perkara_id);
		$a['arsipp4'] 		= $arsipp4;	
		$arsipmediasi		= $this->Model_arsipmediasi->getArsipbyID($perkara_id);
		$a['arsipmediasi']	= $arsipmediasi;		
		$arsipjs 			= $this->Model_arsipjs->getArsipbyID($perkara_id);
		$a['arsipjs'] 		= $arsipjs;		
		$arsipphs 			= $this->Model_arsipphs->getArsipbyID($perkara_id);
		$a['arsipphs'] 		= $arsipphs;	
		$arsipbas 			= $this->Model_arsipbas->getArsipbyID($perkara_id);
		$a['arsipbas'] 		= $arsipbas;	
		$arsipputusan		= $this->Model_arsipputusan->getArsipbyID($perkara_id);
		$a['arsipputusan'] 	= $arsipputusan;	
		$arsipbundela		= $this->Model_arsipbundela->getArsipbyID($perkara_id);
		$a['arsipbundela'] 	= $arsipbundela;	

        //$a['data_array'] = array(
        $a['datalist'] 		= $data->detailPerkara->dataUmum;
		$a['datapenetapan'] = $data->detailPerkara->dataPenetapan->info;
		$a['datasidang'] 	= $data->detailPerkara->jadwalSidang;
		$a['datamediasi'] 	= $data->detailPerkara->infoMediasi;
		$a['dataputusan'] 	= $data->detailPerkara->putusanAkhir->infoPutusan;
		$a['page']			= "detailperkara";
        $this->load->view('template/beranda',$a);	
	}
	
	public function registerPerkarabanding()
	{
        $url 			= "http://36.92.101.57:8080/sipp/list-perkara-banding";
        $get_url 		= file_get_contents($url);
        $data 			= json_decode($get_url);

        $a['datalist'] 	= $data->listPerkaraBanding;
		$a['page']		= "listperkarabanding";
        $this->load->view('template/beranda',$a);	
	}		
}