<?php
defined('BASEPATH') or exit('No direct script access allowed');
require_once APPPATH . "libraries/tcpdf/PDFMerger.php";

use PDFMerger\PDFMerger;

class Dashboard extends CI_Controller
{

	var $unit = array();
	var $ipaddress;
	function __construct()
	{
		parent::__construct();

		$this->load->model('Ews_model');
		$this->load->model('Model_ip');
		$idsatker = $this->uri->segment(3);
		if (empty($idsatker)) {
			$idsatker = 1;
		};
		$this->dataUnit	= $this->Model_ip->getArsipbyID($idsatker);
		$this->unit 	= array(
			'id_unit' 	=> $this->dataUnit[0]['id'],
			'nama_pa' 	=> $this->dataUnit[0]['nama_pa'],
			'alamat_ip' => $this->dataUnit[0]['alamat_ip']
		);
		// $this->idsatker		= $alamatip->id;
		// $this->unit['alamat_ip'] 	= $unit->alamat_ip;
		// $this->output->cache(1);		
		$this->load->library('user_agent');
	}

	public function index()
	{
		if ($this->session->userdata('valid') == FALSE && $this->session->userdata('id') == "") {
			redirect("Masuk");
		}

		$chart_data = $this->Ews_model->untukChart();
		$a['chart_data'] = json_encode($chart_data);

		$chart_perk = $this->Ews_model->untukChartPerk();
		$a['chart_perk'] = json_encode($chart_perk);

		if (($this->session->userdata('id') != 1) AND ($this->session->userdata('id') != 2) AND ($this->session->userdata('id') != 3))
		{
			$ttlEss 			= $this->Ews_model->getTtlEssHT($this->session->userdata('name'));
			$ttlDiawasi 		= $this->Ews_model->getTtlDiawasiHT($this->session->userdata('name'));
			$ttlBlmDiawasi		= $this->Ews_model->getTtlBlmDiawasiHT($this->session->userdata('name'));
		}
		else
		{
			$ttlEss 			= $this->Ews_model->getTtlEss();
			$ttlDiawasi 		= $this->Ews_model->getTtlDiawasi();
			$ttlBlmDiawasi		= $this->Ews_model->getTtlBlmDiawasi();
		}
		
		$a['ttlEss'] 		= $ttlEss;
		
		$a['ttlDiawasi'] 	= $ttlDiawasi;
		
		$a['ttlBlmDiawasi']	= $ttlBlmDiawasi;

		$ttlHB				= $this->Ews_model->ttlHB();
		$a['ttlHB']			= $ttlHB;
		$ttlWaris			= $this->Ews_model->ttlWaris();
		$a['ttlWaris']		= $ttlWaris;
		$ttlCG				= $this->Ews_model->ttlCG();
		$a['ttlCG']			= $ttlCG;

		$totalLain			= $this->Ews_model->ttlLain();
		$a['totalLain']		= $totalLain;

		foreach ($chart_data as $label):
			$l_jml[] 		= $label['jml'];
			$a['l_jml'] 	= $l_jml;
			$l_satker[] 	= $label['nama_pa'];
			$a['l_satker'] 	= $l_satker;
		endforeach;
		$arr_l = array(max($l_jml));
		$max_h = max($arr_l);
		for ($h=0; $h<=$max_h+100; $h+=100){
			if ($h > $max_h){
				$max_stat = $h/5;
			}
		}
		$max = max($arr_l);
		for ($i=0; $i<=$max+$max_stat; $i+=$max_stat){
			if ($i > $max){
				$max_key = $i;
				$a['max_key'] = $max_key;
			}
		}

		$a['page']			= "dashboard";
		$this->load->view('template/beranda', $a);
	}

	public function HalError()
	{
		$a['nmSatker'] = $this->unit['nama_pa'];
		$a['page']			= "error";
		$this->load->view('template/beranda', $a);
	}

	public function getAlerts()
	{
		$ttlbaru = $this->Ews_model->totalEWS();

		if ($ttlbaru > 0)
		{
			return $ttlbaru;
			echo $ttlbaru;
		}
	}

	public function detail()
	{

	    $host     = explode(":",$this->unit['alamat_ip']);
	    $iphost   = $host[0];
	    $porthost = $host[1];

	    $starttime = microtime(true);
	    $file      = @fsockopen($iphost, $porthost, $errno, $errstr, 10);
	    $stoptime  = microtime(true);
	    $status    = 0;
	    if (!$file) { 
	    	$a['nmSatker'] = $this->unit['nama_pa'];
	    	redirect("Dashboard/HalError/".$this->uri->segment(3));
	    }    
		
		// $data	= $this->Model_ip->get_by_id($id);
		// echo json_encode($data);	

		// foreach($data as $dtSatker)
		// {
		// 	$row[]  = $dtSatker->id;
		// 	$row[]  = $dtSatker->nama_pa;
		// 	$row[]  = $dtSatker->alamat_ip;
		// }

		// $ipSatker = $dtSatker->alamat_ip;
		// $a['ipSatker'] = $ipSatker;
		
		$nmSatker = $this->unit['nama_pa'];
		$a['nmSatker'] = $nmSatker;
		$a['idsatker']		= $this->unit['id_unit'];

		$url 				= "http://" . $this->unit['alamat_ip'] . "/sipp/monitoring";
		// $url 				= "http://103.78.72.4:8080/sipp/monitoring";
		$get_url 			= file_get_contents($url);
		$dataAPI 				= json_decode($get_url);
		if (!$dataAPI) {
			$error 		= error_get_last();
			redirect("Dashboard/HalError/".$this->uri->segment(3));
			//       // echo "HTTP request failed. Error was: " . $error['message'];
		}
		$akhir				= 0;
		$a['data0'] 		= $dataAPI->monitoring[0];
		$a['data1'] 		= $dataAPI->monitoring[1];
		$a['data2']			= $dataAPI->monitoring[2];
		$data1				= $dataAPI->monitoring[1];

		$a['sisathnlalu'] 			= $data1[0]->sisa_tahun_lalu;
		$a['putus_tahun_ini'] 		= $data1[0]->putus_tahun_ini;
		$a['masuk_tahun_ini'] 		= $data1[0]->masuk_tahun_ini;
		$a['minutasi_tahun_ini'] 	= $data1[0]->minutasi_tahun_ini;

		$a['persen_putus'] 		= $data1[0]->persentase_putus;
		$a['persen_minutasi'] 	= $data1[0]->persentase_minutasi;
		$a['persen_dirput'] 	= $data1[0]->persentase_dirput;

		$a['versi_sipp'] 		= $data1[0]->versi_SIPP;
		//$this->load->view('beranda-dashboard',$data_array);
		// $datachart			= array();	

		// ----------- Untuk CHART -----------
		$datachart 			= $dataAPI->monitoring[0];
		$a['datachart']		= $datachart;
		foreach ($datachart as $label)
		{
			$l_bulan[]		= $label->bulan;
			$a['bulan']		= $l_bulan;
			$l_masuk[]		= $label->masuk;
			$a['masuk']		= $l_masuk;
			$l_putus[]		= $label->putus;
			$a['putus']		= $l_putus;
			$l_minut[]		= $label->minutasi;
			$a['minutasi']	= $l_minut;
			$l_sisa[]		= $label->sisa;
			$a['sisa']		= $l_sisa;
		}
		$arr_l = array(max($l_sisa),max($l_masuk),max($l_putus),max($l_minut));
		$max_h = max($arr_l);
		for ($h=0; $h<=$max_h+100; $h+=100){
			if ($h > $max_h){
				$max_stat = $h/5;
			}
		}
		$max = max($arr_l);
		for ($i=0; $i<=$max+$max_stat; $i+=$max_stat){
			if ($i > $max){
				$max_key = $i;
				$a['max_key'] = $max_key;
			}
		}
		// ---------- UNTUK CHART ------------
		$url1 			= "http://" . $this->unit['alamat_ip'] . "/sipp/list-perkara";
		// $url1 			= "http://103.78.72.4:8080/sipp/list-perkara";
		// $url1 			= "http://36.92.101.57:8080/sipp/list-perkara";
		$get_url1 			= file_get_contents($url1);
		$dataAPI1 			= json_decode($get_url1);
		$dataAPI2			= json_decode($get_url1, true);
		
		$a['datalist'] 				= $dataAPI1->ListPerkara;
		$datalistputus 				= $dataAPI1->ListPerkara;
		$a['datalistSisa']			= $dataAPI1->ListPerkara;
		$a['datalistDiterima']		= $dataAPI1->ListPerkara;
		$a['datalistDiputus']		= $dataAPI1->ListPerkara;
		$a['datalistDiminutasi']	= $dataAPI1->ListPerkara;
		
		
		// $totalmasukhariini				= 0;
		// foreach ($dataAPI2['ListPerkara'] as $hariini)
		// {
		// 	if ($hariini['tanggal_pendaftaran'] == date('Y-m-d')) 
		// 		$totalmasukhariini = $totalmasukhariini+1;
		// }

		// 	$a['totalmasukhariini'] = $totalmasukhariini;

		// 					$totalminutasihariini 	= 0;
        //                   	$totalputushariini 		= 0;
        //                       foreach($datalistputus as $baris)
        //                       {
	    //                           if (substr($baris->tanggal_pendaftaran,0,4) == date('Y'))
	    //                           {
		//                                 $urlputus    = 'http://'.$this->unit['alamat_ip'].'/sipp/detail-perkara/'.$baris->perkara_id;
		//                                 $get_urlputus  = file_get_contents($urlputus);
		//                                 $dataputus     = json_decode($get_urlputus);
		//                                 $perkaraputus  = $dataputus->detailPerkara->dataUmum;   
		//                               	foreach ($perkaraputus as $putus)   
		//                               	{                       
		//                                     if ($putus->tanggal_putusan == date('Y-m-d'))
		//                                     {
		//                          			$totalputushariini++;
		//                          			} 
		//                                     if ($putus->tanggal_minutasi == date('Y-m-d'))
		//                                     {
		//                          			$totalminutasihariini++;
		//                          			} 		                         			
		//                           		} 
	    //                           }
        //                       }
        // $a['totalputushariini'] 	= $totalputushariini;
        // $a['totalminutasihariini'] 	= $totalminutasihariini;
		// $a['ipalamat']				= $this->unit['alamat_ip'];


		if (!$dataAPI1) {
			$error 	= error_get_last();
			redirect('Masuk');
			//       // echo "HTTP request failed. Error was: " . $error['message'];
		}
		$ambil1		 		= $dataAPI1->ListPerkara;
		$ambilCG		 	= $dataAPI1->ListPerkara;
		$ambilCT		 	= $dataAPI1->ListPerkara;
		$ambilWaris		 	= $dataAPI1->ListPerkara;
		$ambilIstbat		= $dataAPI1->ListPerkara;
		$ambilWali			= $dataAPI1->ListPerkara;
		$ambilLain			= $dataAPI1->ListPerkara;

		$total 			=0;
		$totalCG 		=0;
		$totalCT 		=0;
		$totalWaris		=0;
		$totalIstbat	=0;
		$totalWali		=0;
		$totalLain		=0;

		foreach ($ambil1 as $jenis)
		{
			if (substr($jenis->tanggal_pendaftaran,0,4) == Date('Y'))
			$total = $total+1;
		}
		$a['total']				= $total;
		foreach ($ambilCG as $jenisCG)
		{
			if (($jenisCG->jenis_perkara_nama == 'Cerai Gugat') AND (substr($jenisCG->tanggal_pendaftaran,0,4) == Date('Y'))) $totalCG=$totalCG+1;
		}		
		$a['totalCG']			= $totalCG;
		$persenCG 				= $totalCG / $total * 100;
		$a['persenCG'] 			= $persenCG;

		foreach ($ambilCT as $jenisCT)
		{
			if (($jenisCT->jenis_perkara_nama == 'Cerai Talak') AND (substr($jenisCT->tanggal_pendaftaran,0,4) == Date('Y'))) $totalCT=$totalCT+1;
		}		
		$a['totalCT']			= $totalCT;
		$persenCT 				= $totalCT / $total * 100;
		$a['persenCT'] 			= $persenCT;

		foreach ($ambilWaris as $jenisWaris)
		{
			if (($jenisWaris->jenis_perkara_nama == 'P3HP/Penetapan Ahli Waris') AND (substr($jenisWaris->tanggal_pendaftaran,0,4) == Date('Y'))) $totalWaris=$totalWaris+1;
		}
		$a['totalWaris']		= $totalWaris;
		$persenWaris			= $totalWaris / $total * 100;
		$a['persenWaris'] 		= $persenWaris;

		foreach ($ambilIstbat as $jenisIstbat)
		{
			if (($jenisIstbat->jenis_perkara_nama == 'Pengesahan Perkawinan/Istbat Nikah') AND (substr($jenisIstbat->tanggal_pendaftaran,0,4) == Date('Y'))) $totalIstbat=$totalIstbat+1;
		}		
		$a['totalIstbat']		= $totalIstbat;
		$persenIstbat			= $totalIstbat / $total * 100;
		$a['persenIstbat'] 		= $persenIstbat;

		foreach ($ambilWali as $jenisWali)
		{
			if (($jenisWali->jenis_perkara_nama == 'Perwalian') AND (substr($jenisCG->tanggal_pendaftaran,0,4) == Date('Y'))) $totalWali=$totalWali+1;
		}		
		$a['totalWali']			= $totalWali;
		$persenWali				= $totalWali / $total * 100;
		$a['persenWali'] 		= $persenWali;

		foreach ($ambilLain as $jenisLain)
		{
			if (($jenisLain->jenis_perkara_nama != 'Cerai Gugat') AND ($jenisLain->jenis_perkara_nama != 'Cerai Talak') AND ($jenisLain->jenis_perkara_nama != 'P3HP/Penetapan Ahli Waris') AND ($jenisLain->jenis_perkara_nama != 'Pengesahan Perkawinan/Istbat Nikah') AND ($jenisLain->jenis_perkara_nama != 'Perwalian') AND (substr($jenisLain->tanggal_pendaftaran,0,4) == Date('Y'))) $totalLain=$totalLain+1;
		}		
		$a['totalLain']			= $totalLain;
		$persenLain				= $totalLain / $total * 100;
		$a['persenLain'] 		= $persenLain;

		//---------- Untuk Banding ----------//
		$urlambilbanding 	= "http://" . $this->unit['alamat_ip'] . "/sipp/list-perkara-banding";
		$get_urlbanding 	= file_get_contents($urlambilbanding);
		$dataAPIbanding 	= json_decode($get_urlbanding);
		$datattlbanding		= json_decode($get_urlbanding, true);
		$totalbanding		= 0;
		$totalbandingputus	= 0;
		$totalpbtbanding	= 0;

		$a['datalistbanding'] 		= $dataAPIbanding->listPerkaraBanding;
		$a['datalistbandingputus'] 	= $dataAPIbanding->listPerkaraBanding;
		$a['datalistpbtbanding'] 	= $dataAPIbanding->listPerkaraBanding;

		foreach ($datattlbanding["listPerkaraBanding"] as $value)
		{

			if (substr($value["pengiriman_berkas_banding"],0,4) == date('Y'))
				{
					$totalbanding = $totalbanding+1;
				}

			if (substr($value["putusan_banding"],0,4) == date('Y'))
				{
					$totalbandingputus 		= $totalbandingputus+1;
				}

			if (substr($value["pemberitahuan_putusan_banding"],0,4) == date('Y'))
				{
					$totalpbtbanding = $totalpbtbanding+1;				
				}

		}

		$a['totalbanding'] 			= $totalbanding;	
		$a['persenbanding']			= $totalbanding / $total *100;

		$a['totalbandingputus'] 	= $totalbandingputus;	
		$a['persenbandingputus']	= $totalbandingputus / $total *100;
		
		$a['totalpbtbanding'] 		= $totalpbtbanding;	
		$a['persenpbtbanding']		= $totalpbtbanding / $total *100;
		if (!$dataAPIbanding) {
			$error 	= error_get_last();
			redirect('Masuk');
			//       // echo "HTTP request failed. Error was: " . $error['message'];
		}

		$a['page']		= "dashboardsatker";
		$this->load->view('template/beranda', $a);
	}
}