<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
  <!-- Content Header (Page header) -->
  <div class="content-header">
    <div class="container-fluid">
      <div class="row mb-2">
        <div class="col-sm-6">
          <h4 class="m-0">Beranda <?php echo $nmSatker; ?></h4>
        </div><!-- /.col -->
        <div class="col-sm-6">
          <ol class="breadcrumb float-sm-right">
            <li class="breadcrumb-item"><a href="#"><i class="fas fa-fire"></i> Beranda</a></li>
            <li class="breadcrumb-item active">Beranda <?php echo $nmSatker; ?></li>
          </ol>
        </div><!-- /.col -->
      </div><!-- /.row -->
    </div><!-- /.container-fluid -->
      <!-- Main content -->
      <section class="content">
        <div class="container-fluid">
      <div class='bg-light border-left border-lg rounded border-primary p-3 mb-3 text-primary'><strong>Keadaan Perkara <?php echo $nmSatker; ?></strong></div>           
        <div class="row">
          <div class="col-lg-3 col-6">
            <!-- small box -->
            <div class="small-box bg-info">
              <div class="inner">
                <?php
                if ($sisathnlalu) {
                ?>
                  <h3><?php echo $sisathnlalu; ?></h3>
                <?php
                } else {
                ?>
                  <h3>0</h3>
                <?php
                }
                ?>
                <p>Sisa Tahun Lalu</p>
                  <!-- Button trigger modal -->
<!--                   <button type="button" class="btn btn-info btn-md" data-toggle="modal" data-target="#modal_perkarasisa">
                    Detail
                  </button>  -->                
              </div>
              <div class="icon">
                <i class="ion ion-pie-graph"></i>
              </div>
              <!-- <a href="#" class="small-box-footer"><i class="fas fa-sync fa-spin"></i></a> -->
            </div>
          </div>
          <!-- ./col -->
          <div class="col-lg-3 col-6">
            <!-- small box -->
            <div class="small-box bg-success">
              <div class="inner">
                <?php
                if ($masuk_tahun_ini) {
                ?>
                  <h3><?php echo $masuk_tahun_ini; ?></h3>
                <?php
                } else {
                ?>
                  <h3>0</h3>
                <?php
                }
                ?>

                <p>Perkara Diterima</p>
                  <!-- Button trigger modal -->
<!--                   <button type="button" class="btn btn-success btn-md" data-toggle="modal" data-target="#modal_perkaraditerima">
                    Detail
                  </button>  -->                
              </div>
              <div class="icon">
                <i class="ion ion-stats-bars"></i>
              </div>
              <!-- <a href="#" class="small-box-footer"><i class="fas fa-sync fa-spin"></i></a> -->
            </div>
          </div>
          <!-- ./col -->
          <div class="col-lg-3 col-6">
            <!-- small box -->
            <div class="small-box bg-warning">
              <div class="inner">
                <?php
                if ($putus_tahun_ini) {
                ?>
                  <h3><?php echo $putus_tahun_ini; ?></h3>
                <?php
                } else {
                ?>
                  <h3>0</h3>
                <?php
                }
                ?>

                <p>Perkara Diputus</p>           
                  <!-- Button trigger modal -->
<!--                   <button type="button" class="btn btn-warning btn-md" data-toggle="modal" data-target="#modal_perkaradiputus">
                    Detail
                  </button> -->                       
              </div>
              <div class="icon">
                <i class="ion ion-pie-graph"></i>
              </div>
              <!-- <a href="#" class="small-box-footer"><i class="fas fa-sync fa-spin"></i></a> -->
            </div>
          </div>
          <!-- ./col -->
          <div class="col-lg-3 col-6">
            <!-- small box -->
            <div class="small-box bg-danger">
              <div class="inner">
                <?php
                if ($minutasi_tahun_ini) {
                ?>
                  <h3><?php echo round($minutasi_tahun_ini,2); ?></h3>
                <?php
                } else {
                ?>
                  <h3>0</h3>
                <?php
                }
                ?>

                <p>Perkara diminutasi</p>
                  <!-- Button trigger modal -->
<!--                   <button type="button" class="btn btn-danger btn-md" data-toggle="modal" data-target="#modal_perkaradiminutasi">
                    Detail
                  </button>  -->                  
              </div>
              <div class="icon">
                <i class="ion ion-stats-bars"></i>
              </div>
              <!-- <a href="#" class="small-box-footer"><i class="fas fa-sync fa-spin"></i></a> -->
            </div>
          </div>
          <!-- ./col -->
        </div> 

<!-- <div class="row">
<div class="col-md-4 col-sm-6 col-12">
<div class="info-box">
<span class="info-box-icon bg-info"><i class="far fa-envelope"></i></span>
<div class="info-box-content">
<span class="info-box-text">Masuk Hari Ini</span>                  
<button type="button" class="btn btn-info btn-sm" data-toggle="modal" data-target="#modal_diterimahariini">
                    Detail
</button> 
<span class="info-box-number">
                <?php
                //if ($totalmasukhariini) {
                ?>
                  <?php //echo $totalmasukhariini; ?>
                <?php
                //} else {
                ?>
                  0
                <?php
                //}
                ?>
</span>
</div>
</div>
</div>
<div class="col-md-4 col-sm-6 col-12">
<div class="info-box">
<span class="info-box-icon bg-success"><i class="far fa-flag"></i></span>
<div class="info-box-content">
<span class="info-box-text">Putus Hari Ini</span>
<button type="button" class="btn btn-success btn-sm" data-toggle="modal" data-target="#modal_diputushariini">
                    Detail
</button>
<span class="info-box-number">
                <?php
                //if ($totalputushariini) {
                ?>
                  <?php //echo $totalputushariini; ?>
                <?php
                //} else {
                ?>
                  0
                <?php
                //}
                ?>
</span>
</div>

</div>

</div>

<div class="col-md-4 col-sm-6 col-12">
<div class="info-box">
<span class="info-box-icon bg-warning"><i class="far fa-copy"></i></span>
<div class="info-box-content">
<span class="info-box-text">Minutasi Hari Ini</span>
<button type="button" class="btn btn-warning btn-sm" data-toggle="modal" data-target="#modal_diminutasihariini">
                    Detail
</button>
<span class="info-box-number">
                <?php
                //if ($totalminutasihariini) {
                ?>
                  <?php //echo $totalminutasihariini; ?>
                <?php
                //} else {
                ?>
                  0
                <?php
                //}
                ?>
</span>
</div>

</div>

</div>
</div> -->

        <div class="row">
          <div class="col-md-4">
            <div class="card card-widget widget-user">
              <div class="widget-user-header bg-info">
              <h3 class="widget-user-username">Persentase Perkara diputus<?php //echo ' '.$thn; ?></h3>
              <!-- <h5 class="widget-user-desc">Founder &amp; CEO</h5> -->
              </div>
              <div class="widget-user-image">
              <!-- <img class="img-circle elevation-2" src="../dist/img/user1-128x128.jpg" alt="User Avatar"> -->
              </div>
<!--               <div class="progress">
                <div class="progress-bar bg-danger" style="width: 70%"></div>
              </div>  -->             
              <div class="card-footer">
                <div class="row">
                  <div class="col-sm-4 border-right">
                    <div class="description-block">                   

                    <span class="description-text"></span>
                    </div>
                  </div>
                  <div class="col-sm-4 border-right">
                    <div class="description-block">
                    <h5 class="description-header"><?php echo round($persen_putus,2);?> %</h5>
                    <span class="description-text">CAPAIAN</span>
                    </div>
                  </div>
                  <div class="col-sm-4">
                    <div class="description-block">
                    <span class="description-text"></span>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <!-- ./col -->
          <div class="col-md-4">
            <div class="card card-widget widget-user">
              <div class="widget-user-header bg-primary">
                <h3 class="widget-user-username">Persentase Perkara diminutasi <?php //echo ' '.$thn; ?></h3>
                <!-- <h5 class="widget-user-desc">Founder &amp; CEO</h5> -->
              </div>
              <div class="widget-user-image">
              <!-- <img class="img-circle elevation-2" src="../dist/img/user1-128x128.jpg" alt="User Avatar"> -->
              </div>
              <div class="card-footer">
                <div class="row">
                  <div class="col-sm-4 border-right">
                    <div class="description-block">                   

                    <span class="description-text"></span>
                    </div>
                  </div>
                  <div class="col-sm-4 border-right">
                    <div class="description-block">
                    <h5 class="description-header"><?php echo round($persen_minutasi,2);?> %</h5>
                    <span class="description-text">CAPAIAN</span>
                    </div>
                  </div>
                  <div class="col-sm-4">
                    <div class="description-block">
                    <span class="description-text"></span>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <!-- ./col -->
          <div class="col-md-4">
            <div class="card card-widget widget-user">
              <div class="widget-user-header bg-success">
                <h3 class="widget-user-username">Persentase Direktori Putusan <?php //echo ' '.$thn; ?></h3>
                <!-- <h5 class="widget-user-desc">Founder &amp; CEO</h5> -->
              </div>
              <div class="widget-user-image">
                <!-- <img class="img-circle elevation-2" src="../dist/img/user1-128x128.jpg" alt="User Avatar"> -->
              </div>
              <div class="card-footer">
                <div class="row">
                  <div class="col-sm-4 border-right">
                    <div class="description-block">                   

                    <span class="description-text"></span>
                    </div>
                  </div>
                  <div class="col-sm-4 border-right">
                    <div class="description-block">
                    <h5 class="description-header"><?php echo round($persen_dirput,2);?> %</h5>
                    <span class="description-text">CAPAIAN</span>
                    </div>
                  </div>
                  <div class="col-sm-4">
                    <div class="description-block">
                    <span class="description-text"></span>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>

        </div>

          <!-- interactive chart -->
          <div class="card card-info card-outline">
            <div class="card-header">
              <h3 class="card-title">
                <i class="far fa-chart-bar"></i>
                Grafik Proses Perkara <?php echo $nmSatker; ?>
              </h3>

              <div class="card-tools">
                <div class="btn-group" id="realtime" data-toggle="btn-toggle">
<!--                   <button type="button" class="btn btn-default btn-sm active" data-toggle="on">On</button>
                  <button type="button" class="btn btn-default btn-sm" data-toggle="off">Off</button> -->
                  <button type="button" class="btn btn-tool" data-card-widget="collapse"><i class="fas fa-minus"></i>
                  </button>                  
                </div>
              </div>
            </div>
            <div class="card-body">
              <div class="row">
              <div class="col-md-7">
                <!-- <div id="interactive" style="height: 300px;"></div> -->
                <div id="morris-line-chart" style="height: 300px;"></div>
              </div>
                  <div class="col-md-5">
                    <p class="text-center">
                      <strong>Jenis Perkara Masuk</strong>
                    </p>

                    <div class="progress-group">
                      <span class="progress-text">Perkara Cerai Gugat</span>
                      <span class="float-right"><b><?php echo $totalCG; ?></b>/<?php echo $total; ?></span>
                      <div class="progress progress-sm">
                        <div class="progress-bar bg-primary" style="width: <?php echo $persenCG; ?>%"></div>
                      </div>
                    </div>
                    <!-- /.progress-group -->

                    <div class="progress-group">
                      <span class="progress-text">Perkara Cerai Talak</span>
                      <span class="float-right"><b><?php echo $totalCT; ?></b>/<?php echo $total; ?></span>
                      <div class="progress progress-sm">
                        <div class="progress-bar bg-danger" style="width: <?php echo $persenCT; ?>%"></div>
                      </div>
                    </div>

                    <!-- /.progress-group -->
                    <div class="progress-group">
                      <span class="progress-text">P3HP/Penetapan Ahli Waris</span>
                      <span class="float-right"><b><?php echo $totalWaris; ?></b>/<?php echo $total; ?></span>
                      <div class="progress progress-sm">
                        <div class="progress-bar bg-success" style="width: <?php echo $persenWaris; ?>%"></div>
                      </div>
                    </div>

                    <!-- /.progress-group -->
                    <div class="progress-group">
                      <span class="progress-text">Pengesahan Perkawinan/Istbat Nikah</span>
                      <span class="float-right"><b><?php echo $totalIstbat; ?></b>/<?php echo $total; ?></span>
                      <div class="progress progress-sm">
                        <div class="progress-bar bg-warning" style="width: <?php echo $persenIstbat; ?>%"></div>
                      </div>
                    </div>
                    <!-- /.progress-group -->

                    <!-- /.progress-group -->
                    <div class="progress-group">
                      <span class="progress-text">Perwalian</span>
                      <span class="float-right"><b><?php echo $totalWali; ?></b>/<?php echo $total; ?></span>
                      <div class="progress progress-sm">
                        <div class="progress-bar bg-info" style="width: <?php echo $persenWali; ?>%"></div>
                      </div>
                    </div>
                    <!-- /.progress-group -->

                    <!-- /.progress-group -->
                    <div class="progress-group">
                      <span class="progress-text">Lain-Lain</span>
                      <span class="float-right"><b><?php echo $totalLain; ?></b>/<?php echo $total; ?></span>
                      <div class="progress progress-sm">
                        <div class="progress-bar bg-secondary" style="width: <?php echo $persenLain; ?>%"></div>
                      </div>
                    </div>
                    <!-- /.progress-group -->                    
                  </div>
                  <!-- /.col -->
            </div>
            </div>
            <!-- /.card-body-->
          </div>
          <!-- /.card -->

        </div>

      <div class="container-fluid">
        <div class="row">
          <div class="col-md-12">
            <table id="example1" class="table table-bordered table-striped" width="AUTO">
                <thead>
                    <tr>
                        <th style="width:100px;">ID PERKARA</th>
                        <th style="width:200px;">NOMOR PERKARA</th>
                        <th style="width:200px;">TANGGAL DAFTAR</th>
                        <th style="width:200px;">JENIS PERKARA</th>
                        <th style="width:150px;">PROSES TERAKHIR</th>
                        <th style="width:250px;">AKSI</th>
                    </tr>
                </thead>
                <tbody>
                    <?php foreach($datalist as $baris):?>
                    <tr>
                        <td><?php echo $baris->perkara_id;?></td>
                        <td><div class="badge badge-info"><?php echo $baris->nomor_perkara;?></div></td>
                        <td><?php echo tgl_jam_sql($baris->tanggal_pendaftaran);?></td>
                        <td><div class="badge badge-warning"><?php echo $baris->jenis_perkara_nama;?></div></td>
                        <td><div class="badge badge-primary"><?php echo $baris->proses_terakhir_text;?></div></td>
                        <td><?php echo '<a href="'.base_URL().'Auth/detail/'.$idsatker.'/'.$baris->perkara_id.'" class="btn btn-icon btn-sm icon-left btn-warning" "><i class="far fa-file"></i> Detail</a>';?></td>
                    </tr>
                    <!-- &nbsp;<a href="'.base_URL().'Auth/detail/'.$idsatker.'/'.$baris->perkara_id.'" class="btn btn-info btn-sm" "><i class="icon-upload icon-white"> </i> Tambah ke ESS</a> <a class="btn btn-icon btn-sm icon-left btn-primary" href="javascript:void(0)" title="Tambah ke ESS" onclick="ambilESS('."'".$baris->perkara_id."'".')"><i class="far fa-edit"></i> + ke ESS</a>-->
                    <?php endforeach;?>
                </tbody>
            </table>
          </div>
       </div>
     </div>

      </section>

<script src="<?php echo base_url('assets/jquery/jquery-2.1.4.min.js')?>"></script>
<script src="<?php echo base_url('assets/datatables/js/jquery.dataTables.min.js')?>"></script>


<!-- Morris JS -->
<script src="<?php echo base_url(); ?>js/morris.min.js"></script>
<script src="<?php echo base_url(); ?>assets/plugins/raphael/raphael.min.js"></script>
<script src="<?php echo base_url(); ?>assets/plugins/jquery-mapael/jquery.mapael.min.js"></script>
<script>


  /*
   * Custom Label formatter
   * ----------------------
   */
  function labelFormatter(label, series) {
    return '<div style="font-size:13px; text-align:center; padding:2px; color: #fff; font-weight: 600;">'
      + label
      + '<br>'
      + Math.round(series.percent) + '%</div>'
  }

var months = ["Jan", "Feb", "Mar", "Apr", "Mei", "Jun", "Jul", "Agu", "Sep", "Okt", "Nop", "Des"];

Morris.Line({
  element: 'morris-line-chart',
  data: <?php echo json_encode($datachart); ?>,
  xkey: 'bulan',
  ykeys: ['sisa', 'masuk', 'putus', 'minutasi'],
  labels: ['Sisa Lalu', 'Masuk', 'Putus', 'Minutasi'],
  lineColors: ['rgb(231, 76, 60)','rgb(241, 196, 15)','#9ACD32','rgb(46, 204, 113)'],
  ymax: 'auto[<?php echo $max_key;?>]',
  xLabelFormat: function(x) { // <--- x.getMonth() returns valid index
    var month = months[x.getMonth()];
    return month;
  },
  dateFormat: function(x) {
    var month = months[new Date(x).getMonth()];
    return month;
  },
});
  /*
   * Custom Label formatter
   * ----------------------
   */
  function labelFormatter(label, series) {
    return '<div style="font-size:13px; text-align:center; padding:2px; color: #fff; font-weight: 600;">'
      + label
      + '<br>'
      + Math.round(series.percent) + '%</div>'
  } 

</script>


<script type="text/javascript">

$(document).ready(function() {

  $('#example1').DataTable();
//   $('#tabelbandingputus').DataTable();
//   $('#tabelpbtbanding').DataTable();
//   $('#tabelperkarasisa').DataTable();
//   $('#tabelperkaraditerima').DataTable();
//   $('#tabelperkaradiputus').DataTable();
//   $('#tabelperkaradiminutasi').DataTable();
//   $('#tabelditerimahariini').DataTable();
//   $('#tabeldiputushariini').DataTable();
//   $('#tabeldiminutasihariini').DataTable();
});

function tambahESS(idPerk)
{
    if(confirm('Tambah ke monitoring ESS?'))
    {
        // ajax delete data to database
        $.ajax({
            url : "<?php echo site_url('Ews/ajax_tambahEss')?>/"+idPerk,
            type: "POST",
            dataType: "JSON",
            success: function(data)
            {
                //if success reload ajax table
                // $('#modal_form').modal('hide');
                alert('Perkara berhasil ditambahkan ke ESS');
                // reload_table();
            },
            error: function (jqXHR, textStatus, errorThrown)
            {
                alert('Gagal Menambahkan ke ESS');
                // console.log(data);
            }
        });

    }
}

function save()
{
    $('#btnSave').text('saving...'); //change button text
    $('#btnSave').attr('disabled',true); //set button disable 
    var url;

    // if(save_method == 'add') {
        url = "<?php echo site_url('Ews/ajax_tambahEss')?>";
    // } else {
    //     url = "<?php echo site_url('Pegawai/ajax_update')?>";
    // }

    // ajax adding data to database

    var formData = new FormData($('#formTambah')[0]);
    $.ajax({
        url : url,
        type: "POST",
        data: formData,
        contentType: false,
        processData: false,
        dataType: "JSON",
        success: function(data)

        {

            if(data.status) //if success close modal and reload ajax table
            {
                $('#edit-data<?=$baris->perkara_id;?>').modal('hide');
                reload_table();
            }
            else
            {
                for (var i = 0; i < data.inputerror.length; i++) 
                {
                    $('[name="'+data.inputerror[i]+'"]').parent().parent().addClass('has-error'); //select parent twice to select div form-group class and add has-error class
                    $('[name="'+data.inputerror[i]+'"]').next().text(data.error_string[i]); //select span help-block class set text error string
                }
            }
            $('#btnSave').text('save'); //change button text
            $('#btnSave').attr('disabled',false); //set button enable 


        },
        error: function (jqXHR, textStatus, errorThrown)
        {
            alert('Error adding / update data');
            $('#btnSave').text('save'); //change button text
            $('#btnSave').attr('disabled',false); //set button enable 

        }
    });
}

function ambilESS(id)
{
    save_method = 'update';
    $('#form')[0].reset(); // reset form on modals
    $('.form-group').removeClass('has-error'); // clear error class
    $('.help-block').empty(); // clear error string


    //Ajax Load data from ajax
    $.ajax({
        url : "<?php echo site_url('Ews/ambildataESS')?>/" + id,
        type: "GET",
        dataType: "JSON",
        success: function(data)
        {
            $('[name="id"]').val(data.perkara_id);
            $('[name="noPerkara"]').val(data.nomor_perkara);
            $('[name="jenisPerkara"]').val(data.jenis_perkara_nama);
            // $('[name="alasan"]').val(data.pangkat);
            // $('[name="jab"]').val(data.jab);
            // $('[name="telp"]').val(data.telp);
            // $('[name="unit_kerja"]').val(data.unit_kerja);
            // $('[name="jab"]').datepicker('update',data.tgl_ditetapkan);
            $('#modal_form').modal('show'); // show bootstrap modal when complete loaded
            $('.modal-title').text('Tambah ke Arasy'); // Set title to Bootstrap modal title

            // $('#photo-preview').show(); // show photo preview modal

            // if(data.edoc)
            // {
            //     $('#label-photo').text('Change Photo'); // label photo upload
            //     $('#photo-preview div').html('<img src="'+base_url+'upload/'+data.edoc+'" class="img-responsive">'); // show photo
            //     $('#photo-preview div').append('<input type="checkbox" name="remove_photo" value="'+data.edoc+'"/> Remove photo when saving'); // remove photo

            // }
            // else
            // {
            //     $('#label-photo').text('Upload Photo'); // label photo upload
            //     $('#photo-preview div').text('(No photo)');
            // }


        },
        error: function (jqXHR, textStatus, errorThrown)
        {
            alert('Error get data from ajax');
        }
    });
}
</script>
