<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Bootstrap CSS -->
    <script src="jquery.min.js"></script>
    <link href="bootstrap/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" href="fontawesome/fontawesome-free-6.5.2-web/css/all.min.css">
    <link rel="stylesheet" href="fontawesome/fontawesome-free-5.15.4-web/css/all.min.css">
    <link rel="stylesheet" href="icon.css">

    <title>Aplikasi ARASY</title>
  </head>
  <body>
    <!-- Nav -->
    <nav class="navbar navbar-light bg-success">
        <div class="container">
        <a class="navbar-brand"><strong style="font-family:cambria;" class="text-warning">ARASY</strong> | <span style="font-size: 14px; font-family: cambria;" class="text-light">Selamat Datang di Aplikasi Early Core Supervision System PTA Jambi</span></a>
            <form class="d-flex">
                <input class="form-control me-2 form-control-sm" style="font-family:camria; font-size:12px" type="search" placeholder="Pencarian" aria-label="Search">
                <button class="btn btn-outline-warning btn-sm" type="submit"><b><i class="fas fa-search"></i></b></button>
            </form>

            <div class="icon ms-auto">
                <h3>
                    <a href="#"><i class="fas fa-user-circle me-2 text-light" data-toggle="tooltip" title="User"></i></a>
                    <!-- <a href="#"><i class="fas fa-bell me-2 text-dark" data-toggle="tooltip" title="Notifikasi"></i></a>
                    <a href="#"><i class="fas fa-sign-out-alt me-2 text-dark" data-toggle="tooltip" title="Keluar"></i></a> -->
                </h3>
            </div>
        </div>
    </nav>
    <!-- end Nav -->

    <div class="container">
        <div class="row no-gutters">
            <!-- nav HORIZONTAL -->
            <div class="row-md-2 bg-dark" style="width: 13rem; height: 550px;">
            <ul class="nav flex-column pb-2 pt-2" style="font-family: Cambria; font-size:11px;">
                    <li class="nav-item mb-2">
                    <a class="nav-link active text-light" aria-current="page" href="home.php"><i class="fas fa-home fa-beat"></i> HOME</a>
                    </li>
                    <li class="nav-item mb-2 position-relative">
                    <a class="nav-link text-light" href="unik.php"><i class="fas fa-globe fa-beat"></i> Perkara yang Menarik Perhatian Publik</a></li>
                    <li class="nav-item mb-2 position-relative">
                    <a class="nav-link text-light" href="pejabat_perkara.php"><i class="fas fa-user-tie fa-beat"></i> Perkara yang Diajukan Pejabat
                    </a></li>
                    <li class="nav-item mb-2 position-relative">
                    <a class="nav-link text-light" href="estimasi.php"><i class="fas fa-dollar-sign fa-beat"></i> Perkara yang Memiliki Estimasi > Rp. 2M</a></li>
                    <li class="nav-item">
                    <a class="nav-link text-danger" href="index.php"><i class="fas fa-sign-out-alt fa-beat"></i> LOG OUT</a><hr class="bg-light">
                    </li>
                </ul>
            </div>
            <!-- end nav HORIZONTAL -->

            <!-- Body -->
            <div class="row-md-10 bg-light p-3" style="width: 58rem; height: 100%;">
            <span style="font-family:cambria; font-size:18px"><i class="fas fa-list text-secondary"></i> DETIL PENGAWASAN PERKARA YANG MEMILIKI ESTIMASI > Rp. 2M</span><hr>
            <div class="text-end">
            <button name="add" id="1" class="btn btn-sm bg-warning add_data mb-2" data-bs-toggle="modal" data-bs-target="#add_data_Modal" style="font-family:cambria; font-size:12px">Validasi Perkara</button>
            <a href="estimasi.php"><button name="back" id="2" class="btn btn-sm bg-danger mb-2" style="font-family:cambria; font-size:12px">Kembali</button></a>
            </div>
            <div id="employee_table" style="font-family:cambria; font-size:12px;">
            <ul class="nav nav-tabs" id="myTab" role="tablist">
                <li class="nav-item" role="presentation">
                    <button class="nav-link active" id="dataumum-tab" data-bs-toggle="tab" data-bs-target="#home" type="button" role="tab" aria-controls="home" aria-selected="true">Data Umum</button>
                </li>
                <li class="nav-item" role="presentation">
                    <button class="nav-link" id="profile-tab" data-bs-toggle="tab" data-bs-target="#profile" type="button" role="tab" aria-controls="profile" aria-selected="false">Persidangan</button>
                </li>
                <li class="nav-item" role="presentation">
                    <button class="nav-link" id="contact-tab" data-bs-toggle="tab" data-bs-target="#contact" type="button" role="tab" aria-controls="contact" aria-selected="false">Putusan</button>
                </li>
                </ul>

                <div class="tab-content" id="myTabContent">
                <div class="tab-pane fade show active" id="home" role="tabpanel" aria-labelledby="dataumum-tab">
                    <table class="table table-bordered mt-2">
                    <tr>
                        <td width="20%">Tanggal Pendaftaran</td>
                        <td>01/01/2024</td>
                    </tr>
                    <tr>
                        <td>Klasifikasi Perkara</td>
                        <td>Cerai Gugat</td>
                    </tr>
                    <tr>
                        <td>Nomor Perkara</td>
                        <td>1/Pdt.G/2024/PA...</td>
                    </tr>
                    <tr>
                        <td>Penggugat</td>
                        <td>
                            <table class="table">
                                <tr>
                                    <td width="15%">Nama</td>
                                    <td>Alisa binti Jamiun</td>
                                </tr>
                                <tr>
                                    <td width="15%">Pekerjaan</td>
                                    <td>PNS</td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                    <tr>
                        <td>Tergugat</td>
                        <td>
                            <table class="table">
                                <tr>
                                    <td width="15%">Nama</td>
                                    <td>Bobi binti Nasution</td>
                                </tr>
                                <tr>
                                    <td width="15%">Pekerjaan</td>
                                    <td>PNS</td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                    <tr>
                        <td>Posita</td>
                        <td>................</td>
                    </tr>
                    <tr>
                        <td>Petitum</td>
                        <td>................</td>
                    </tr>
                    </table>  
                </div>
                
                <div class="tab-pane fade" id="profile" role="tabpanel" aria-labelledby="profile-tab">
                    <table class="table table-bordered mt-2">
                        <tr>
                            <td width="20%">Tanggal PMH</td>
                            <td>01/01/2024</td>
                        </tr>
                        <tr>
                            <td width="20%">Majelis Hakim</td>
                            <td>Hakim Ketua : ......<br/>Hakim Anggota 1 : ....</br> Hakim Anggota 2: .....</td>
                        </tr>
                        <tr>
                            <td width="20%">Tanggal PPP</td>
                            <td>01/01/2024</td>
                        </tr>
                        <tr>
                            <td width="20%">Panitera Pengganti</td>
                            <td>xxxxxxxxxxxx</td>
                        </tr>
                        <tr>
                            <td width="20%">Tanggal Penunjukan JSP</td>
                            <td>01/01/2024</td>
                        </tr>
                        <tr>
                            <td width="20%">Jurusita/Jurusita Pengganti</td>
                            <td>xxxxxxxxxxx</td>
                        </tr>
                        <tr>
                            <td width="20%">Persidangan</td>
                            <td>
                                <table class="table table-bordered">
                                    <tr class="tr text-center">
                                        <td>Tanggal Sidang</td>
                                        <td>Agenda Sidang</td>
                                        <td>Alasan Tundaan Sidang</td>
                                    </tr>
                                    <tr>
                                        <td>1/1/2024</td>
                                        <td>SIDANG 1</td>
                                        <td>Mediasi</td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                        <tr>
                            <td width="20%">Tanggal Mediasi</td>
                            <td>1/1/2024</td>
                        </tr>
                        <tr>
                            <td width="20%">Hasil Mediasi</td>
                            <td>Berhasil Sebagian</td>
                        </tr>
                    </table>
                </div>
                <div class="tab-pane fade" id="contact" role="tabpanel" aria-labelledby="contact-tab">
                    <table class="table table-bordered mt-2">
                        <tr>
                            <td width="20%">Tanggal Putusan</td>
                            <td>1/1/2024</td>
                        </tr>
                        <tr>
                            <td width="20%">Status Putusan</td>
                            <td>Dicabut</td>
                        </tr>
                        <tr>
                            <td width="20%">Amar Putusan</td>
                            <td>Mengadili <br/> .......</td>
                        </tr>
                        <tr>
                            <td width="20%">Tanggal Minutasi</td>
                            <td>1/1/2024</td>
                        </tr>
                    </table>
                </div>
                </div>
            </div>
    
                        </div>
                      </div>
    </div>

    <!-- End Nav Vertikal-->

    <!-- Optional JavaScript; choose one of the two! -->

    <!-- Option 1: Bootstrap Bundle with Popper -->
    <script src="bootstrap/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>

    <!-- Option 2: Separate Popper and Bootstrap JS -->
    <!--
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.2/dist/umd/popper.min.js" integrity="sha384-IQsoLXl5PILFhosVNubq5LC7Qb9DXgDA9i+tQ8Zj3iwWAwPtgFTxbJ8NT4GN1R8p" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.min.js" integrity="sha384-cVKIPhGWiC2Al4u+LWgxfKTRIcfu0JTxR+EQDz/bgldoEyl4H0zUF0QKbrJ0EcQF" crossorigin="anonymous"></script>
    -->

    <!-- footer -->
    <div class="container-fluid text-center bg-success text-light fixed-bottom">
    <span style="font-size: 12px; font-style: italic;">Pengadilan Tinggi Agama Jambi &copy; 2024</span>
    </div>
    <!-- end footer -->

  </body>
</html>

<?php
function bln_indo($tanggal1){
	$bulan = array (
		1 =>   'Januari',
		'Februari',
		'Maret',
		'April',
		'Mei',
		'Juni',
		'Juli',
		'Agustus',
		'September',
		'Oktober',
		'November',
		'Desember'
	);
	$pecahkan = explode('-', $tanggal1);
	// variabel pecahkan 0 = tanggal
	// variabel pecahkan 1 = bulan
	// variabel pecahkan 2 = tahun
 
	return $pecahkan[2] . ' ' . $bulan[ (int)$pecahkan[1] ] . ' ' . $pecahkan[0];
}
?>

<!-- Detail Perkara -->
<div class="modal fade" id="view_data_modal" tabindex="-1" aria-labelledby="add_data_modalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
            <h5 class="modal-title" id="add_data_modalLabel"><i class="fas fa-list-ul"></i><span style="font-family:cambria;"> Detail Informasi Perkara</span></h5>
            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>

            <div class="modal-body" id="detail_pegawai">
    
   </div>
   <div class="modal-footer">
    <button type="button" class="btn btn-default" data-bs-dismiss="modal">Close</button>
   </div>
  </div>
 </div>
</div>

<script>
//Begin Tampil Detail
 $(document).on('click', '.view_data', function(){
  var employee_id = $(this).attr("id");
  $.ajax({
   url:"select.php",
   method:"POST",
   data:{employee_id:employee_id},
   success:function(data){
    $('#detail_pegawai').html(data);
    $('#dataModal').modal('show');
   }
  });
 });
//End Tampil Detail Karyawan
</script>
<!-- end Detail Perkara -->

<div id="add_data_Modal" class="modal fade">
 <div class="modal-dialog">
  <div class="modal-content">
   <div class="modal-header">
    <h4 class="modal-title" style="font-family:'Cambria'; font-size:18px;">Validasi Data Kategori Perkara</h4>
    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
    </div>
   <div class="modal-body">
    <form method="post" id="insert_form" style="font-size:12px; font-family:Cambria;">
               <div class="form-check" style="padding-left:10px; padding-top:5px;">
                    <input class="form-check-input" type="checkbox" value="" id="flexCheckDefault" onclick="myFunction()">
                    <label class="form-check-label text-center" for="flexCheckDefault">
                        Saya Menyatakan bahwa perkara ini termasuk kategori perkara yang memiliki estimasi lebih dari 2 Miliyar rupiah 
                    </label>
                </div>
                <div align="center" class="mt-2">
                <input type="submit" name="insert" id="insert" value="Simpan" class="btn btn-success btn-sm" style="display:none; font-size:12px"/>
                </div>
                
                </form>
            </div>

            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-bs-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>

<script>
    function myFunction(){
        var checkBox = document.getElementById("flexCheckDefault");
        var button = document.getElementById("insert");
            if(checkBox.checked == true){
                button.style.display = "block"
            }else{
                button.style.display = "none"
            }
    }
</script>
