<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Bootstrap CSS -->
    <script src="jquery.min.js"></script>
    <link href="bootstrap/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" href="fontawesome/fontawesome-free-6.5.2-web/css/all.min.css">
    <link rel="stylesheet" href="fontawesome/fontawesome-free-5.15.4-web/css/all.min.css">
    <link rel="stylesheet" href="icon.css">

    <title>Aplikasi ARASY</title>
  </head>
  <body>
    <!-- Nav -->
    <nav class="navbar navbar-light bg-success">
    <div class="container">
            <a class="navbar-brand"><strong style="font-family:cambria;" class="text-warning">ARASY</strong> | <span style="font-size: 14px; font-family: cambria;" class="text-light">Selamat Datang di Aplikasi Early Core Supervision System PTA Jambi</span></a>
            <form class="d-flex">
                <input class="form-control me-2 form-control-sm" style="font-family:camria; font-size:12px" type="search" placeholder="Pencarian" aria-label="Search">
                <button class="btn btn-outline-warning btn-sm" type="submit"><b><i class="fas fa-search"></i></b></button>
            </form>

            <div class="icon ms-auto">
                <h3>
                    <a href="#"><i class="fas fa-user-circle me-2 text-light" data-toggle="tooltip" title="User"></i></a>
                    <!-- <a href="#"><i class="fas fa-bell me-2 text-dark" data-toggle="tooltip" title="Notifikasi"></i></a>
                    <a href="#"><i class="fas fa-sign-out-alt me-2 text-dark" data-toggle="tooltip" title="Keluar"></i></a> -->
                </h3>
            </div>
        </div>
    </nav>
    <!-- end Nav -->

    <div class="container">
        <div class="row no-gutters">
            <!-- nav HORIZONTAL -->
            <div class="row-md-2 bg-dark" style="width: 13rem; height: 100%;">
            <ul class="nav flex-column pb-2 pt-2" style="font-family: Cambria; font-size:11px;">
                    <li class="nav-item mb-2">
                    <a class="nav-link active text-light" aria-current="page" href="home.php"><i class="fas fa-home fa-beat"></i> HOME</a>
                    </li>
                    <li class="nav-item mb-2 position-relative">
                    <a class="nav-link text-light" href="unik.php"><i class="fas fa-globe fa-beat"></i> Perkara yang Menarik Perhatian Publik</a></li>
                    <li class="nav-item mb-2 position-relative">
                    <a class="nav-link text-light" href="pejabat_perkara.php"><i class="fas fa-user-tie fa-beat"></i> Perkara yang Diajukan Pejabat
                    </a></li>
                    <li class="nav-item mb-2 position-relative">
                    <a class="nav-link text-light" href="estimasi.php"><i class="fas fa-dollar-sign fa-beat"></i> Perkara yang Memiliki Estimasi > Rp. 2M</a></li>
                    <li class="nav-item">
                    <a class="nav-link text-danger" href="index.php"><i class="fas fa-sign-out-alt fa-beat"></i> LOG OUT</a><hr class="bg-light">
                    </li>
                </ul>
            </div>
            <!-- end nav HORIZONTAL -->

            <!-- Body -->
            <div class="row-md-10 bg-light p-3" style="width: 58rem; height: 100%;">
            <span style="font-family:cambria; font-size:18px"><i class="fas fa-home text-secondary"></i> HOME PAGE</span>
<hr>
                <div class="row gx-2 gy-4 mb-2">
                    <div class="col-md-8">
                        <div class="card bg-secondary" style="width: 37rem;">
                            <img src="img/gedung.jpeg" alt="gedungpta" height="380px">
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="card bg-secondary" style="width: 18rem;">
                            <div class="card-body text-light" style="font-family:cambria; font-size:14px">
                            STATISTIK PERKARA <hr>
                            <table class="table table-bordered table-striped table-sm text-light" style="font-family:cambria; font-size:12px">
                                <tr>
                                    <td class="text-light bg-success" colspan="2">1. Perkara yang Menarik Perhatian Publik</td>
                                </tr>
                                <tr class="text-center">
                                <td width="50%">Diterima</td>
                                <td>Ditindaklanjuti</td>
                                </tr>
                                <tr class="text-light text-center">
                                    <td>0 Perkara</td>
                                    <td>0 Perkara</td>
                                </tr>

                                <tr>
                                    <td class="text-light bg-primary" colspan="2">2. Perkara yang Diajukan Pejabat atau Publik Figur</td>
                                </tr>
                                <tr class="text-light text-center">
                                <td width="50%">Diterima</td>
                                <td>Ditindaklanjuti</td>
                                </tr>
                                <tr class="text-center">
                                    <td>0 Perkara</td>
                                    <td>0 Perkara</td>
                                </tr>
                               
                                <tr>
                                    <td class="text-light bg-danger" colspan="2">3. Perkara Harta Bersama/Waris dengan Estimasi Rp. 2 Milyar</td>
                                </tr>
                                <tr>
                                <td width="50%" class="text-center">Diterima</td>
                                <td class="text-center">Ditindaklanjuti</td>
                                </tr>
                                <tr class="text-light text-center">
                                    <td>0 Perkara</td>
                                    <td>0 Perkara</td>
                                </tr>
                            </table>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="row gx-2 gy-4">
                    <div class="col-md-4">
                        <div class="card bg-success" style="width: 18rem;">
                            <div class="card-body text-light" style="font-family:cambria">
                                <div class="card-body-icon">
                                    <i class="fas fa-globe fa-flip"></i>
                                </div>
                                <h6 class="card-title">PERKARA YANG MENARIK PERHATIAN PUBLIK</h6>
                                <h6 class="card-subtitle mb-2">Tahun 2024</h6>
                                <div class="display-4"><strong>0<span style="font-size:16px;">Perkara</span></strong></div>
                                <a href="#" class="btn btn-outline-warning w-100 btn-sm" style="font-size:12px"> <i class="fas fa-th-list"></i> Detail</a>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="card bg-primary" style="width: 18rem;">
                            <div class="card-body text-light" style="font-family:cambria">
                                <div class="card-body-icon">
                                    <i class="fas fa-user-tie fa-flip"></i>
                                </div>
                                <h6 class="card-title">PERKARA YANG DIAJUKAN PEJABAT ATAU PUBLIK FIGUR</h6>
                                <h6 class="card-subtitle mb-2">Tahun 2024</h6>
                                <div class="display-4"><strong>0<span style="font-size:16px;">Perkara</span></strong></div>
                                        <a href="#" class="btn btn-outline-warning w-100 btn-sm" style="font-size:12px"> <i class="fas fa-th-list"></i> Detail </a>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="card bg-danger" style="width: 18rem;">
                            <div class="card-body text-light" style="font-family:cambria">
                                <div class="card-body-icon">
                                    <i class="fas fa-dollar-sign fa-flip"></i>
                                </div>
                                <h6 class="card-title">PERKARA HARTA BERSAMA/WARIS DENGAN ESTIMASI > Rp. 2 M</h6>
                                <h6 class="card-subtitle mb-2">Tahun 2024</h6>
                                <div class="display-4"><strong>0<span style="font-size:16px;">Perkara</span></strong></div>
                                <a href="#" class="btn btn-outline-warning w-100 btn-sm" style="font-size:12px"> <i class="fas fa-th-list"></i> Detail </a>
                            </div>
                        </div>
                    </div>
                </div>
</br>
                <footer class="blockquote-footer" style="font-size: 10px;">Monitoring Data Perkara Yang Diawasi pada <cite title="Source Title">Pengadilan Tinggi Agama Jambi</cite></footer>  
                        </blockquote>
            </div>
        </div>
    </div>
    <!-- End Nav Vertikal-->

    <!-- Optional JavaScript; choose one of the two! -->

    <!-- Option 1: Bootstrap Bundle with Popper -->
    <script src="bootstrap/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>

    <!-- Option 2: Separate Popper and Bootstrap JS -->
    <!--
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.2/dist/umd/popper.min.js" integrity="sha384-IQsoLXl5PILFhosVNubq5LC7Qb9DXgDA9i+tQ8Zj3iwWAwPtgFTxbJ8NT4GN1R8p" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.min.js" integrity="sha384-cVKIPhGWiC2Al4u+LWgxfKTRIcfu0JTxR+EQDz/bgldoEyl4H0zUF0QKbrJ0EcQF" crossorigin="anonymous"></script>
    -->

    <!-- footer -->
    <div class="container-fluid text-center bg-success text-light fixed-bottom">
    <span style="font-size: 12px; font-style: italic;">Pengadilan Tinggi Agama Jambi &copy; 2024</span>
    </div>
    <!-- end footer -->

  </body>
</html>

