<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Bootstrap CSS -->
    <script src="jquery.min.js"></script>
    <link href="bootstrap/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" href="fontawesome/fontawesome-free-6.5.2-web/css/all.min.css">
    <link rel="stylesheet" href="fontawesome/fontawesome-free-5.15.4-web/css/all.min.css">
    <link rel="stylesheet" href="icon.css">

    <title>Aplikasi ARASY</title>
  </head>
  <body>
    <!-- Nav -->
    <nav class="navbar navbar-light bg-success">
        <div class="container">
        <a class="navbar-brand"><strong style="font-family:cambria;" class="text-warning">ARASY</strong> | <span style="font-size: 14px; font-family: cambria;" class="text-light">Selamat Datang di Aplikasi Early Core Supervision System PTA Jambi</span></a>
            <form class="d-flex">
                <input class="form-control me-2 form-control-sm" style="font-family:camria; font-size:12px" type="search" placeholder="Pencarian" aria-label="Search">
                <button class="btn btn-outline-warning btn-sm" type="submit"><b><i class="fas fa-search"></i></b></button>
            </form>

            <div class="icon ms-auto">
                <h3>
                    <a href="#"><i class="fas fa-user-circle me-2 text-light" data-toggle="tooltip" title="User"></i></a>
                    <!-- <a href="#"><i class="fas fa-bell me-2 text-dark" data-toggle="tooltip" title="Notifikasi"></i></a>
                    <a href="#"><i class="fas fa-sign-out-alt me-2 text-dark" data-toggle="tooltip" title="Keluar"></i></a> -->
                </h3>
            </div>
        </div>
    </nav>
    <!-- end Nav -->

    <div class="container">
        <div class="row no-gutters">
            <!-- nav HORIZONTAL -->
            <div class="row-md-2 bg-dark" style="width: 13rem; height: 550px;">
            <ul class="nav flex-column pb-2 pt-2" style="font-family: Cambria; font-size:11px;">
                    <li class="nav-item mb-2">
                    <a class="nav-link active text-light" aria-current="page" href="home.php"><i class="fas fa-home fa-beat"></i> HOME</a>
                    </li>
                    <li class="nav-item mb-2 position-relative">
                    <a class="nav-link text-light" href="unik.php"><i class="fas fa-globe fa-beat"></i> Perkara yang Menarik Perhatian Publik</a></li>
                    <li class="nav-item mb-2 position-relative">
                    <a class="nav-link text-light" href="pejabat_perkara.php"><i class="fas fa-user-tie fa-beat"></i> Perkara yang Diajukan Pejabat
                    </a></li>
                    <li class="nav-item mb-2 position-relative">
                    <a class="nav-link text-light" href="estimasi.php"><i class="fas fa-dollar-sign fa-beat"></i> Perkara yang Memiliki Estimasi > Rp. 2M</a></li>
                    <li class="nav-item">
                    <a class="nav-link text-danger" href="index.php"><i class="fas fa-sign-out-alt fa-beat"></i> LOG OUT</a><hr class="bg-light">
                    </li>
                </ul>
            </div>
            <!-- end nav HORIZONTAL -->

            <!-- Body -->
            <div class="row-md-10 bg-light p-3" style="width: 58rem; height: 100%;">
            <span style="font-family:cambria; font-size:18px"><i class="fas fa-user-tie fa-beat text-secondary text-success"></i> DATA PENGAWASAN PERKARA YANG DIAJUKAN PEJABAT ATAU PUBLIK FIGUR</span><hr>

            <div id="employee_table">
                <table class="table table-bordered table-striped table-sm" style="font-family:cambria">
                    <tr style="font-size:12px;" class="text-center bg-dark text-light">
                        <td width="2%">No</td>
                        <td width="10%">Satker</td>
                        <td width="15%">Perkara</td>
                        <td width="20%">Nama Pihak</td>
                        <td width="10%">Status Perkara</td>
                        <td width="10%">Keterangan</td>
                        <td width="10%" colspan="2">Aksi</td>
                    </tr>

                    <tr style="font-size:12px;" class="text-center">
                        <td>1</td>
                        <td>PA Jambi</td>
                        <td>1/Pdt.G/2024/PTA.Jb</br>(Cerai Gugat)</td>
                        <td class="text-start">Pemohon : Bibi binti Badui <br/> Termohon : Septian bin Juned</td>
                        <td>Pendaftaran</td>
                        <td class="text-light bg-success">Perkara yang Diawasi</td>
                        <td><div class="text-center"><a href="detil_pejabat_perkara.php"><button name="view" id="1" class="btn btn-sm view_data" data-bs-toggle="modal" data-bs-target="#view_data_modal1"><i class="fas fa-eye text-info" data-toggle="tooltip" title="Lihat Data"></i></button></a></div></td>
                        <td><div class="text-center"><button name="add" id="2" class="btn btn-sm add_data" data-bs-toggle="modal" data-bs-target="#add_data_Modal"><i class="fas fa-table text-info" data-toggle="tooltip" title="Tambah Data"></i></button></div></td>
                       
                    </tr>
                </table>
            </div>

                
        <footer class="blockquote-footer" style="font-size: 10px;">Monitoring Data Perkara Yang Diawasi pada <cite title="Source Title">Pengadilan Tinggi Agama Jambi</cite></footer>  
                        </blockquote>
                        </div>
                      </div>
    </div>

    <!-- End Nav Vertikal-->

    <!-- Optional JavaScript; choose one of the two! -->

    <!-- Option 1: Bootstrap Bundle with Popper -->
    <script src="bootstrap/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>

    <!-- Option 2: Separate Popper and Bootstrap JS -->
    <!--
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.2/dist/umd/popper.min.js" integrity="sha384-IQsoLXl5PILFhosVNubq5LC7Qb9DXgDA9i+tQ8Zj3iwWAwPtgFTxbJ8NT4GN1R8p" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.min.js" integrity="sha384-cVKIPhGWiC2Al4u+LWgxfKTRIcfu0JTxR+EQDz/bgldoEyl4H0zUF0QKbrJ0EcQF" crossorigin="anonymous"></script>
    -->

    <!-- footer -->
    <div class="container-fluid text-center bg-success text-light fixed-bottom">
    <span style="font-size: 12px; font-style: italic;">Pengadilan Tinggi Agama Jambi &copy; 2024</span>
    </div>
    <!-- end footer -->

  </body>
</html>

<?php
function bln_indo($tanggal1){
	$bulan = array (
		1 =>   'Januari',
		'Februari',
		'Maret',
		'April',
		'Mei',
		'Juni',
		'Juli',
		'Agustus',
		'September',
		'Oktober',
		'November',
		'Desember'
	);
	$pecahkan = explode('-', $tanggal1);
	// variabel pecahkan 0 = tanggal
	// variabel pecahkan 1 = bulan
	// variabel pecahkan 2 = tahun
 
	return $pecahkan[2] . ' ' . $bulan[ (int)$pecahkan[1] ] . ' ' . $pecahkan[0];
}
?>

<!-- Detail Perkara -->
<div class="modal fade" id="view_data_modal" tabindex="-1" aria-labelledby="add_data_modalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
            <h5 class="modal-title" id="add_data_modalLabel"><i class="fas fa-list-ul"></i><span style="font-family:cambria;"> Detail Informasi Perkara</span></h5>
            <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>

            <div class="modal-body" id="detail_pegawai">
    
   </div>
   <div class="modal-footer">
    <button type="button" class="btn btn-default" data-bs-dismiss="modal">Close</button>
   </div>
  </div>
 </div>
</div>

<script>
//Begin Tampil Detail
 $(document).on('click', '.view_data', function(){
  var employee_id = $(this).attr("id");
  $.ajax({
   url:"select.php",
   method:"POST",
   data:{employee_id:employee_id},
   success:function(data){
    $('#detail_pegawai').html(data);
    $('#dataModal').modal('show');
   }
  });
 });
//End Tampil Detail Karyawan
</script>
<!-- end Detail Perkara -->

<div id="add_data_Modal" class="modal fade">
 <div class="modal-dialog">
  <div class="modal-content">
   <div class="modal-header">
    <h4 class="modal-title" style="font-family:'Cambria'; font-size:18px;">Input Data Pengawasan Perkara</h4>
    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
    </div>
   <div class="modal-body">
    <form method="post" id="insert_form" style="font-size:12px; font-family:Cambria;">
                <label>Nomor Perkara</label>
                <input type="text" name="no-perkara" id="no-perkara" class="form-control form-control-sm text-sm" style="font-size:12px"/>
                <label>Satker</label>
                <input type="text" name="satker" id="satker" class="form-control form-control-sm text-sm" style="font-size:12px"/>
                <label>Jenis Perkara</label>
                <input type="text" name="jenis-perkara" id="jenis-perkara" class="form-control form-control-sm text-sm" style="font-size:12px"/>
                <label>Tanggal Pelaksanaan</label>
                <input type="date" name="tgl_pelaksanaan" id="tgl_pelaksanaan" class="form-control form-control-sm text-sm" style="font-size:12px"/>
                <label>Hakim Pengawas</label>
                <select id="hakim_pengawas" name="hakim_pengawas" class="form-select" style="font-size:12px">
                            <option value="-" disabled selected>++ Pilih Hakim ++</option>
                            <option value="H1">Hakim 1	</option>
                </select>
                <label>Tindak Lanjut Pelaksanaan</label>
                <textarea type="text" name="tindaklanjut" id="tindaklanjut" class="form-control form-control-sm text-sm" style="font-size:12px" placeholder="input data tindak lanjut pengawasan"/></textarea> 
                <div class="form-check" style="padding-left:10px; padding-top:5px;">
                    <input class="form-check-input" type="checkbox" value="" id="flexCheckDefault" onclick="myFunction()">
                    <label class="form-check-label" for="flexCheckDefault">
                        Saya Menyatakan bahwa data ini benar dan telah diperiksa
                    </label>
                </div>
                <input type="submit" name="insert" id="insert" value="Simpan" class="btn btn-success btn-sm" style="display:none; font-size:12px"/>
                </form>
            </div>

            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-bs-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>

<script>
    function myFunction(){
        var checkBox = document.getElementById("flexCheckDefault");
        var button = document.getElementById("insert");
            if(checkBox.checked == true){
                button.style.display = "block"
            }else{
                button.style.display = "none"
            }
    }
</script>
