<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- Bootstrap CSS -->
    <script src="jquery.min.js"></script>
    <link href="bootstrap/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" href="fontawesome/fontawesome-free-6.5.2-web/css/all.min.css">
    <link rel="stylesheet" href="fontawesome/fontawesome-free-5.15.4-web/css/all.min.css">
    <link rel="stylesheet" href="icon.css">

    <title>Aplikasi EWS</title>
  </head>
  <body>
    <!-- Nav -->
    <nav class="navbar navbar-light bg-success">
        <div class="container">
            <a class="navbar-brand"><strong style="font-family:cambria;" class="text-warning">EWS</strong> | <span style="font-size: 14px; font-family: cambria;" class="text-light">Selamat Datang di Aplikasi Early Supervision System PTA Jambi</span></a>
            <form class="d-flex">
                <input class="form-control me-2 form-control-sm" style="font-family:camria; font-size:12px" type="search" placeholder="Pencarian" aria-label="Search">
                <button class="btn btn-outline-warning btn-sm" type="submit"><b><i class="fas fa-search"></i></b></button>
            </form>

            <div class="icon ms-auto">
                <h3>
                    <a href="#"><i class="fas fa-user-circle me-2 text-light" data-toggle="tooltip" title="User"></i></a>
                    <!-- <a href="#"><i class="fas fa-bell me-2 text-dark" data-toggle="tooltip" title="Notifikasi"></i></a>
                    <a href="#"><i class="fas fa-sign-out-alt me-2 text-dark" data-toggle="tooltip" title="Keluar"></i></a> -->
                </h3>
            </div>
        </div>
    </nav>
    <!-- end Nav -->

    <div class="container">
        <div class="row no-gutters">
            <!-- nav HORIZONTAL -->
            <div class="row-md-2 bg-dark" style="width: 13rem; height: 550px;">
                <ul class="nav flex-column pb-2 pt-2" style="font-family: Cambria; font-size:11px;">
                <li class="nav-item mb-2">
                    <a class="nav-link active text-light" aria-current="page" href="home.php"><i class="fas fa-home fa-beat"></i> HOME</a>
                    </li>
                    <li class="nav-item mb-2 position-relative">
                    <a class="nav-link text-light" href="perkara.php"><i class="fas fa-gavel fa-beat"></i> PERKARA</a>
                    <li class="nav-item mb-2 position-relative">
                    <a class="nav-link text-light" href="pengawasan.php"><i class="fas fa-clock fa-beat"></i> PROSES PERKARA
                    </a>
                    <li class="nav-item">
                    <a class="nav-link text-danger" href="index.php"><i class="fas fa-sign-out-alt fa-beat"></i> LOG OUT</a><hr class="bg-light">
                    </li>
                </ul>
            </div>
            <!-- end nav HORIZONTAL -->

            <!-- Body -->
            <div class="row-md-10 bg-light p-3" style="width: 58rem; height: 100%;">
            <span style="font-family:cambria; font-size:18px"><i class="fas fa-clock text-secondary"></i> DATA MONITORING PENGAWASAN PERKARA</span><hr>

            <div id="employee_table">
                <table class="table table-bordered table-striped table-sm" style="font-family:cambria">
                    <tr style="font-size:12px;" class="text-center bg-dark text-light">
                        <td width="2%">No</td>
                        <td width="13%">Satker</td>
                        <td width="15%">Detail Perkara</td>
                        <td width="10%">Tanggal Pengawasan</td>
                        <td width="10%">Hakim Pengawas</td>
                        <td width="30%">Pelaksanaan Pengawasan</td>
                    </tr>

                    <tr style="font-size:12px;" class="text-center">
                        <td>1</td>
                        <td>PA Jambi</td>
                        <td>1/Pdt.G/2024/PTA.Jb<br/>Cerai Gugat</td>
                        <td>01/01/2024</td>
                        <td>Hakim 1</td>
                        <td class="text-start">Telah dilaksanakannya ......</td>
                    </tr>
                </table>
            </div>

                
        <footer class="blockquote-footer" style="font-size: 10px;">Monitoring Data Perkara Yang Diawasi pada <cite title="Source Title">Pengadilan Tinggi Agama Jambi</cite></footer>  
                        </blockquote>
                        </div>
                      </div>
    </div>

    <!-- End Nav Vertikal-->

    <!-- Optional JavaScript; choose one of the two! -->

    <!-- Option 1: Bootstrap Bundle with Popper -->
    <script src="bootstrap/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>

    <!-- Option 2: Separate Popper and Bootstrap JS -->
    <!--
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.2/dist/umd/popper.min.js" integrity="sha384-IQsoLXl5PILFhosVNubq5LC7Qb9DXgDA9i+tQ8Zj3iwWAwPtgFTxbJ8NT4GN1R8p" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.min.js" integrity="sha384-cVKIPhGWiC2Al4u+LWgxfKTRIcfu0JTxR+EQDz/bgldoEyl4H0zUF0QKbrJ0EcQF" crossorigin="anonymous"></script>
    -->

    <!-- footer -->
    <div class="container-fluid text-center bg-success text-light fixed-bottom">
    <span style="font-size: 12px; font-style: italic;">Pengadilan Tinggi Agama Jambi &copy; 2024</span>
    </div>
    <!-- end footer -->

  </body>
</html>
