<?php
defined('BASEPATH') or exit('No direct script access allowed');
require_once APPPATH . "libraries/tcpdf/PDFMerger.php";

use PDFMerger\PDFMerger;

class Auth extends CI_Controller
{

	var $unit = array();
	var $ipaddress;
	function __construct()
	{
		parent::__construct();
		// $this->load->model('Model_arsip');
		// $this->load->model('Model_arsippengp');
		// $this->load->model('Model_arsippengt');
		// $this->load->model('Model_arsippmh');
		// $this->load->model('Model_arsipskum');
		// $this->load->model('Model_arsipp4');
		// $this->load->model('Model_arsipjs');
		// $this->load->model('Model_arsipphs');
		// $this->load->model('Model_arsipmediasi');
		// $this->load->model('Model_arsipsela');
		// $this->load->model('Model_arsipbas');
		// $this->load->model('Model_arsiprelaas');
		// $this->load->model('Model_arsipputusan');
		// $this->load->model('Model_arsipbundela');

		// $this->load->model('Model_arsipaktabanding');
		// $this->load->model('Model_arsipaktaberitahubanding');
		// $this->load->model('Model_arsipaktaterimakontra');
		// $this->load->model('Model_arsipaktaterimamemori');
		// $this->load->model('Model_arsipberitahuserahkontra');
		// $this->load->model('Model_arsipberitahuserahmemoribanding');
		// $this->load->model('Model_arsipbuktikirim');
		// $this->load->model('Model_arsipbuktisetor');
		// $this->load->model('Model_arsipbundelb');
		// $this->load->model('Model_arsipinzage');
		// $this->load->model('Model_arsipkontra');
		// $this->load->model('Model_arsipmemoribanding');
		// $this->load->model('Model_arsipsuratkuasa');
		$this->load->model('Model_ip');
		$idsatker = $this->uri->segment(3);
		if (empty($idsatker)) {
			$idsatker = 1;
		};
		$this->dataUnit	= $this->Model_ip->getArsipbyID($idsatker);
		$this->unit 	= array(
			'id_unit' 	=> $this->dataUnit[0]['id'],
			'nama_pa' 	=> $this->dataUnit[0]['nama_pa'],
			'alamat_ip' => $this->dataUnit[0]['alamat_ip']
		);
		// $this->idsatker		= $alamatip->id;
		// $this->unit['alamat_ip'] 	= $unit->alamat_ip;

		$this->load->library('user_agent');
	}

	public function index()
	{
		if ($this->session->userdata('valid') == FALSE && $this->session->userdata('id') == "") {
			redirect("Masuk");
		}


		
		// var_dump($this->unit);
		// die();

		// $url 				= "http://" . $this->unit['alamat_ip'] . "/sipp/monitoring";
		// // $url 				= "http://192.168.43.239:8080/sipp/monitoring";
		// $get_url 			= file_get_contents($url);
		// $data 				= json_decode($get_url);

		// if (!$data) {
		// 	$error = error_get_last();
		// 	redirect('Auth/index');
		// 	// echo "HTTP request failed. Error was: " . $error['message'];
		// }

		// $akhir				= 0;
		// $a['data0'] 	= $data->monitoring[0];
		// $a['data1'] 	= $data->monitoring[1];
		// $a['data2']		= $data->monitoring[2];
		// $data1		= $data->monitoring[1];
		// $a['putus_tahun_ini'] = $data1[0]->putus_tahun_ini;

		// //$this->load->view('beranda-dashboard',$data_array);	

		// $url1 			= "http://" . $this->unit['alamat_ip'] . "/sipp/list-perkara";
		// // $url1 			= "http://192.168.43.239:8080/sipp/list-perkara";
		// $get_url1 		= file_get_contents($url1);
		// $data1 			= json_decode($get_url1);

		// $ambil		 	= $data1->ListPerkara;
		// $a['ambil']		= $ambil;
		// $a['page']			= "dashboard";
		// $this->load->view('template/beranda', $a);
	}



	public function registerPerkara()
	{
		if ($this->session->userdata('valid') == FALSE && $this->session->userdata('id') == "") {
			redirect("Masuk");
		}
		$url 			= "http://" . $this->unit['alamat_ip'] . "/sipp/list-perkara";
		$get_url 		= file_get_contents($url);
		$data 			= json_decode($get_url);
		if (!$data) {
			$error = error_get_last();
			redirect('Dashboard/index');
		}
		$a['datalist'] 	= $data->ListPerkara;
		$a['idsatker'] = $this->unit['id_unit'];
		$a['page']		= "listperkara";
		$this->load->view('template/beranda', $a);
	}

	public function detail()
	{
		if ($this->session->userdata('valid') == FALSE && $this->session->userdata('id') == "") {
			redirect("Masuk");
		}

		$mau_ke			= $this->uri->segment(4);
		$idsdg			= "";

		$urlLst 			= "http://" . $this->unit['alamat_ip'] . "/sipp/list-perkara";
		$get_urlLst  		= file_get_contents($urlLst);
		$dataLst  			= json_decode($get_urlLst);

		$url 			= "http://" . $this->unit['alamat_ip'] . "/sipp/detail-perkara/" . $mau_ke;
		$get_url 		= file_get_contents($url);
		$data 			= json_decode($get_url);
	    if (!$data) { 
	    	$a['nmSatker'] = $this->unit['nama_pa'];
	    	redirect("Dashboard/HalError/".$this->uri->segment(3));
	    } 

		// $urlArsip		= "http://" . $this->unit['alamat_ip'] . "/ardig/arsip/" . $mau_ke;
		// $get_urlArsip	= file_get_contents($urlArsip);
		// $dataArsip		= json_decode($get_urlArsip);

		// if ((!$data) || (!$dataArsip)) {
		// 	$error = error_get_last();
		// 	redirect('Dashboard/index');
		// }
		// $urlrelaas		= "http://192.168.43.239:8080/sipp/relaas-sidang/".$mau_ke."/".$idsdg;
		// $get_urlrelaas	= file_get_contents($urlrelaas);
		// $datarelaas		= json_decode($get_urlrelaas);

		$perkara_id			= $mau_ke;
		$a['perkara_id']	= $perkara_id;
	

		$a['idsatker']		= $this->unit['id_unit'];
		$a['alamatip']	= $this->unit['alamat_ip'];
		$a['nmSatker']	= $this->unit['nama_pa'];
		// $a['dataGugatan']		= $dataArsip->arsip->perkara;
		// $a['dataSkum']			= $dataArsip->arsip->skum;
		// $a['dataPmh']			= $dataArsip->arsip->pmh;
		// $a['dataP4']			= $dataArsip->arsip->p4;
		// $a['dataJs']			= $dataArsip->arsip->js;
		// $a['dataPhs']			= $dataArsip->arsip->phs;
		// $a['datapengP']			= $dataArsip->arsip->pengp;
		// $a['datapengT']			= $dataArsip->arsip->pengt;
		// $a['dataMediasi']		= $dataArsip->arsip->mediasi;
		// $a['dataSela']			= $dataArsip->arsip->sela;
		// $a['dataPutusan']		= $dataArsip->arsip->putusan;
		// $a['databundelA']		= $dataArsip->arsip->bundela;
		// // if (!empty($a['dataPbt']))
		// $a['dataPbt']			= $dataArsip->arsip->arsipPBT;
		// // if (!empty($a['dataVerzet']))
		// $a['dataVerzet']		= $dataArsip->arsip->verzet;
		// // if (!empty($a['dataputVerzet']))
		// $a['dataputVerzet']		= $dataArsip->arsip->putVerzet;



		//$a['data_array'] = array(
		$a['datalistPerk'] 		= $dataLst->ListPerkara;
		$a['datalist'] 		= $data->detailPerkara->dataUmum;
		$a['datapenetapan'] = $data->detailPerkara->dataPenetapan->info;
		$a['datasidang'] 	= $data->detailPerkara->jadwalSidang;
		// $a['datarelaas'] 	= $datarelaas->relaasSidang;
		$a['datamediasi'] 	= $data->detailPerkara->infoMediasi;
		$a['dataputusan'] 	= $data->detailPerkara->putusanAkhir->infoPutusan;
		$a['pengacaraP'] 	= $data->detailPerkara->pengacara->penggugat;
		$a['pengacaraT'] 	= $data->detailPerkara->pengacara->tergugat;
		$a['sela']			= $data->detailPerkara->dataPutusanSela;
		$a['dataverzet']	= $data->detailPerkara->infoVerzet->dataVerzet;
		$a['page']			= "detailperkara";
		$this->load->view('template/beranda', $a);
	}
	

	public function user()
	{
		if ($this->session->userdata('valid') == FALSE && $this->session->userdata('id') == "") {
			redirect("Masuk");
		}
		$a['page']		= "user";
	       $this->load->view('template/beranda',$a);	
	}	

	public function registerPerkarabanding()
	{
		$url 			= "http://" . $this->unit['alamat_ip'] . "/sipp/list-perkara-banding";
		$get_url 		= file_get_contents($url);
		$data 			= json_decode($get_url);
		$datattl 		= json_decode($get_url, true);
		// $a['datattl']	= $datattl;
		$total			= 0;
		foreach ($datattl["listPerkaraBanding"] as $value)
		{
			if (substr($value["permohonan_banding"],0,4) == date('Y'))
			$total = $total+1;
		}
		$a['total'] = $total;
		
		if (!$data) {
			$error = error_get_last();
			redirect('Dashboard/index');
		}
		$a['datalist'] 	= $data->listPerkaraBanding;
		$a['idsatker']	= $this->unit['id_unit'];
		$a['page']		= "listperkarabanding";
		$this->load->view('template/beranda', $a);
	}

	public function detailbanding()
	{
		$a['idsatker']	= $this->unit['id_unit'];
		// $a['kembali']	= $this->uri->segment(3);
		$mau_ke			= $this->uri->segment(4);
		$url 			= "http://" . $this->unit['alamat_ip'] . "/sipp/detail-perkara/" . $mau_ke;
		$get_url 		= file_get_contents($url);
		$data 			= json_decode($get_url);
		// if (!$data) {
		//       $error = error_get_last();
		//       redirect('Dashboard/index');
		// } 

		$urlBanding 			= "http://" . $this->unit['alamat_ip'] . "/ardig/arsip/" . $mau_ke;
		$get_urlBanding 		= file_get_contents($urlBanding);
		$dataBanding 			= json_decode($get_urlBanding);
		if ((!$data) || (!$dataBanding)) {
			$error = error_get_last();
			redirect('Dashboard/index');
		}
		$perkara_id			= $mau_ke;
		$a['perkara_id']	= $perkara_id;


		$a['alamatip']	= $this->unit['alamat_ip'];
		//$a['data_array'] = array(
		$a['dataPengantar']			= $dataBanding->banding->pengantarBanding;
		$a['dataSalinan']			= $dataBanding->banding->salinanPutusan;
		$a['dataAktaBanding']		= $dataBanding->banding->aktaBanding;
		$a['dataKuasa']				= $dataBanding->banding->suratKuasa;
		$a['databeritahubanding'] 	= $dataBanding->banding->beriTahuBanding;
		$a['dataterimamemori'] 		= $dataBanding->banding->terimaMemori;
		$a['dataMemori']			= $dataBanding->banding->memoriBanding;
		$a['dataterimaKontra']		= $dataBanding->banding->terimaKontra;
		$a['datakontraMemori']		= $dataBanding->banding->kontraMemori;
		$a['dataserahKontra']		= $dataBanding->banding->serahKontra;
		$a['dataserahMemori']		= $dataBanding->banding->serahMemori;
		$a['dataInzage']			= $dataBanding->banding->inzage;
		$a['databuktiKirim']		= $dataBanding->banding->buktiKirim;
		$a['databuktiSetor']		= $dataBanding->banding->buktiSetor;
		$a['databundelB']			= $dataBanding->banding->bundelB;

		$a['datalist'] 		= $data->detailPerkara->dataUmum;
		$a['datapenetapan'] = $data->detailPerkara->dataPenetapan->info;
		$a['datasidang'] 	= $data->detailPerkara->jadwalSidang;
		$a['datamediasi'] 	= $data->detailPerkara->infoMediasi;
		$a['dataputusan'] 	= $data->detailPerkara->putusanAkhir->infoPutusan;
		$a['databanding']	= $data->detailPerkara->dataBanding->detailPihakBanding;
		$a['dataInfoBanding']		= $data->detailPerkara->dataBanding->infoBanding;
		$a['page']			= "detailperkarabanding";
		$this->load->view('template/beranda', $a);
	}

	// public function hlmneror(){

	// 	$a['page']			= "dashboard";
	//        $this->load->view('template/beranda',$a);	
	// }
	

	//siperles PTA
	public function siperlespta()
	{
		$url 			= "http://" . $this->unit['alamat_ip'] . "/sipp/list-perkara-banding";
		$get_url 		= file_get_contents($url);
		$data 			= json_decode($get_url);
		if (!$data) {
			$error = error_get_last();
			redirect('Dashboard/index');
		}
		$a['datalist'] 	= $data->listPerkaraBanding;
		$a['idsatker']	= $this->unit['id_unit'];
		$a['page']		= "siperlespta";
		$this->load->view('template/beranda', $a);
	}

	public function detailsiperlespta()
	{
		$a['idsatker']	= $this->unit['id_unit'];
		$mau_ke			= $this->uri->segment(4);
		$url 			= "http://" . $this->unit['alamat_ip'] . "/sipp/detail-perkara/" . $mau_ke;
		$get_url 		= file_get_contents($url);
		$data 			= json_decode($get_url);
		// if (!$data) {
		//       $error = error_get_last();
		//       redirect('Dashboard/index');
		// } 

		$urlBanding 			= "http://" . $this->unit['alamat_ip'] . "/ardig/arsip/" . $mau_ke;
		$get_urlBanding 		= file_get_contents($urlBanding);
		$dataBanding 			= json_decode($get_urlBanding);
		if ((!$data) || (!$dataBanding)) {
			$error = error_get_last();
			redirect('Dashboard/index');
		}
		$perkara_id			= $mau_ke;
		$a['perkara_id']	= $perkara_id;


		$a['alamatip']	= $this->unit['alamat_ip'];
		//$a['data_array'] = array(
		$a['dataPengantar']			= $dataBanding->banding->pengantarBanding;
		$a['dataSalinan']			= $dataBanding->banding->salinanPutusan;
		$a['dataAktaBanding']		= $dataBanding->banding->aktaBanding;
		$a['dataKuasa']				= $dataBanding->banding->suratKuasa;
		$a['databeritahubanding'] 	= $dataBanding->banding->beriTahuBanding;
		$a['dataterimamemori'] 		= $dataBanding->banding->terimaMemori;
		$a['dataMemori']			= $dataBanding->banding->memoriBanding;
		$a['dataterimaKontra']		= $dataBanding->banding->terimaKontra;
		$a['datakontraMemori']		= $dataBanding->banding->kontraMemori;
		$a['dataserahKontra']		= $dataBanding->banding->serahKontra;
		$a['dataserahMemori']		= $dataBanding->banding->serahMemori;
		$a['dataInzage']			= $dataBanding->banding->inzage;
		$a['databuktiKirim']		= $dataBanding->banding->buktiKirim;
		$a['databuktiSetor']		= $dataBanding->banding->buktiSetor;
		$a['databundelB']			= $dataBanding->banding->bundelB;
		$a['pbtbanding']			= $dataBanding->banding->bandingPbt;
		$a['dataPutusanword']		= $dataBanding->banding->salinanPutusanWord;
		$a['dataMemoriword']		= $dataBanding->banding->memoriBandingWord;
		$a['dataKontramemoriWord']	= $dataBanding->banding->kontraMemoriWord;

		$a['datalist'] 				= $data->detailPerkara->dataUmum;
		$a['datapenetapan'] 		= $data->detailPerkara->dataPenetapan->info;
		$a['datasidang'] 			= $data->detailPerkara->jadwalSidang;
		$a['datamediasi'] 			= $data->detailPerkara->infoMediasi;
		$a['dataputusan'] 			= $data->detailPerkara->putusanAkhir->infoPutusan;
		$a['databanding']			= $data->detailPerkara->dataBanding->detailPihakBanding;
		$a['dataInfoBanding']		= $data->detailPerkara->dataBanding->infoBanding;


		$arsippmh 			= $this->Model_arsippmh->getArsipbyID($perkara_id);
		$a['arsippmh'] 		= $arsippmh;
		$arsipp4 			= $this->Model_arsipp4->getArsipbyID($perkara_id);
		$a['arsipp4'] 		= $arsipp4;
		$arsipphs 			= $this->Model_arsipphs->getArsipbyID($perkara_id);
		$a['arsipphs'] 		= $arsipphs;
		$arsipbas 			= $this->Model_arsipbas->getArsipbyID($perkara_id);
		$a['arsipbas'] 		= $arsipbas;		
		$arsipputusan		= $this->Model_arsipputusan->getArsipbyID($perkara_id);
		$a['arsipputusan'] 	= $arsipputusan;

		$a['page']			= "detailsiperlespta";
		$this->load->view('template/beranda', $a);
	}


	//Monitoring PTA
	public function morapta()
	{
		$url 			= "http://" . $this->unit['alamat_ip'] . "/sipp/list-perkara-banding";
		$get_url 		= file_get_contents($url);
		$data 			= json_decode($get_url);
		if (!$data) {
			$error = error_get_last();
			redirect('Dashboard/index');
		}
		$a['datalist'] 	= $data->listPerkaraBanding;
		$a['idsatker']	= $this->unit['id_unit'];
		$a['page']		= "morapta";
		$this->load->view('template/beranda', $a);
	}

	public function detailmorapta()
	{
		$a['idsatker']	= $this->unit['id_unit'];
		$mau_ke			= $this->uri->segment(4);
		$url 			= "http://" . $this->unit['alamat_ip'] . "/sipp/detail-perkara/" . $mau_ke;
		$get_url 		= file_get_contents($url);
		$data 			= json_decode($get_url);
		// if (!$data) {
		//       $error = error_get_last();
		//       redirect('Dashboard/index');
		// } 

		$urlBanding 			= "http://" . $this->unit['alamat_ip'] . "/ardig/arsip/" . $mau_ke;
		$get_urlBanding 		= file_get_contents($urlBanding);
		$dataBanding 			= json_decode($get_urlBanding);
		if ((!$data) || (!$dataBanding)) {
			$error = error_get_last();
			redirect('Dashboard/index');
		}
		$perkara_id			= $mau_ke;
		$a['perkara_id']	= $perkara_id;


		$a['alamatip']	= $this->unit['alamat_ip'];
		//$a['data_array'] = array(
		$a['dataPengantar']			= $dataBanding->banding->pengantarBanding;
		$a['dataSalinan']			= $dataBanding->banding->salinanPutusan;
		$a['dataAktaBanding']		= $dataBanding->banding->aktaBanding;
		$a['dataKuasa']				= $dataBanding->banding->suratKuasa;
		$a['databeritahubanding'] 	= $dataBanding->banding->beriTahuBanding;
		$a['dataterimamemori'] 		= $dataBanding->banding->terimaMemori;
		$a['dataMemori']			= $dataBanding->banding->memoriBanding;
		$a['dataterimaKontra']		= $dataBanding->banding->terimaKontra;
		$a['datakontraMemori']		= $dataBanding->banding->kontraMemori;
		$a['dataserahKontra']		= $dataBanding->banding->serahKontra;
		$a['dataserahMemori']		= $dataBanding->banding->serahMemori;
		$a['dataInzage']			= $dataBanding->banding->inzage;
		$a['databuktiKirim']		= $dataBanding->banding->buktiKirim;
		$a['databuktiSetor']		= $dataBanding->banding->buktiSetor;
		$a['databundelB']			= $dataBanding->banding->bundelB;

		$a['datalist'] 		= $data->detailPerkara->dataUmum;
		$a['datapenetapan'] = $data->detailPerkara->dataPenetapan->info;
		$a['datasidang'] 	= $data->detailPerkara->jadwalSidang;
		$a['datamediasi'] 	= $data->detailPerkara->infoMediasi;
		$a['dataputusan'] 	= $data->detailPerkara->putusanAkhir->infoPutusan;
		$a['databanding']	= $data->detailPerkara->dataBanding->detailPihakBanding;
		$a['dataInfoBanding']		= $data->detailPerkara->dataBanding->infoBanding;
		$a['page']			= "detailmorapta";
		$this->load->view('template/beranda', $a);
	}

	//Arsip Perkara Banding
	public function arsipPerkarabanding()
	{
		$url 			= "http://" . $this->unit['alamat_ip'] . "/sipp/list-perkara-banding";
		$get_url 		= file_get_contents($url);
		$data 			= json_decode($get_url);
		if (!$data) {
			$error = error_get_last();
			redirect('Dashboard/index');
		}
		$a['datalist'] 	= $data->listPerkaraBanding;
		$a['idsatker']	= $this->unit['id_unit'];
		$a['page']		= "listperkarabanding1";
		$this->load->view('template/beranda', $a);
	}

	public function detailbanding1()
	{
		$a['idsatker']	= $this->unit['id_unit'];
		$mau_ke			= $this->uri->segment(4);
		$url 			= "http://" . $this->unit['alamat_ip'] . "/sipp/detail-perkara/" . $mau_ke;
		$get_url 		= file_get_contents($url);
		$data 			= json_decode($get_url);
		// if (!$data) {
		//       $error = error_get_last();
		//       redirect('Dashboard/index');
		// } 

		$urlBanding 			= "http://" . $this->unit['alamat_ip'] . "/ardig/arsip/" . $mau_ke;
		$get_urlBanding 		= file_get_contents($urlBanding);
		$dataBanding 			= json_decode($get_urlBanding);
		if ((!$data) || (!$dataBanding)) {
			$error = error_get_last();
			redirect('Dashboard/index');
		}
		$perkara_id			= $mau_ke;
		$a['perkara_id']	= $perkara_id;
	

		$a['alamatip']	= $this->unit['alamat_ip'];
		//$a['data_array'] = array(
		$a['dataPengantar']			= $dataBanding->banding->pengantarBanding;
		$a['dataSalinan']			= $dataBanding->banding->salinanPutusan;
		$a['dataAktaBanding']		= $dataBanding->banding->aktaBanding;
		$a['dataKuasa']				= $dataBanding->banding->suratKuasa;
		$a['databeritahubanding'] 	= $dataBanding->banding->beriTahuBanding;
		$a['dataterimamemori'] 		= $dataBanding->banding->terimaMemori;
		$a['dataMemori']			= $dataBanding->banding->memoriBanding;
		$a['dataterimaKontra']		= $dataBanding->banding->terimaKontra;
		$a['datakontraMemori']		= $dataBanding->banding->kontraMemori;
		$a['dataserahKontra']		= $dataBanding->banding->serahKontra;
		$a['dataserahMemori']		= $dataBanding->banding->serahMemori;
		$a['dataInzage']			= $dataBanding->banding->inzage;
		$a['databuktiKirim']		= $dataBanding->banding->buktiKirim;
		$a['databuktiSetor']		= $dataBanding->banding->buktiSetor;
		$a['databundelB']			= $dataBanding->banding->bundelB;
		$a['pbtbanding']			= $dataBanding->banding->bandingPbt;

		$a['datalist'] 		= $data->detailPerkara->dataUmum;
		$a['datapenetapan'] = $data->detailPerkara->dataPenetapan->info;
		$a['datasidang'] 	= $data->detailPerkara->jadwalSidang;
		$a['datamediasi'] 	= $data->detailPerkara->infoMediasi;
		$a['dataputusan'] 	= $data->detailPerkara->putusanAkhir->infoPutusan;
		$a['databanding']	= $data->detailPerkara->dataBanding->detailPihakBanding;
		$a['dataInfoBanding']		= $data->detailPerkara->dataBanding->infoBanding;

		$arsippmh 			= $this->Model_arsippmh->getArsipbyID($perkara_id);
		$a['arsippmh'] 		= $arsippmh;
		$arsipp4 			= $this->Model_arsipp4->getArsipbyID($perkara_id);
		$a['arsipp4'] 		= $arsipp4;
		$arsipphs 			= $this->Model_arsipphs->getArsipbyID($perkara_id);
		$a['arsipphs'] 		= $arsipphs;
		$arsipbas 			= $this->Model_arsipbas->getArsipbyID($perkara_id);
		$a['arsipbas'] 		= $arsipbas;		
		$arsipputusan		= $this->Model_arsipputusan->getArsipbyID($perkara_id);
		$a['arsipputusan'] 	= $arsipputusan;		
		$a['page']			= "detailperkarabanding1";
		$this->load->view('template/beranda', $a);
	}


	public function konfigurasi()
	{
		if ($this->session->userdata('valid') == FALSE && $this->session->userdata('id') == "") {
			redirect("Masuk");
		}
				
		$a['page']		= "konfigurasi";
		$this->load->view('template/beranda', $a);
	}
	
	// public function hlmneror(){

	// 	$a['page']			= "dashboard";
	//        $this->load->view('template/beranda',$a);	
	// }	
}

