<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Ews extends CI_Controller {

	public function __construct()
	{
		parent::__construct();
		$this->load->model('Ews_model','Ews');
		$this->load->model('Model_ip');
		$this->load->model('Model_konfigurasi');
		$this->load->helper('my_helper');
		$this->load->helper('kirim_sms_helper');
		$idsatker = $this->uri->segment(3);
		if (empty($idsatker)) {
			$idsatker = 1;
		};
		$this->dataUnit	= $this->Model_ip->getIpadd();
		$this->unit 	= array(
			'id_unit' 	=> $this->dataUnit[0]['id'],
			'nama_pa' 	=> $this->dataUnit[0]['nama_pa'],
			'alamat_ip' => $this->dataUnit[0]['alamat_ip']
		);		
	}

	public function ews()
	{
		if ($this->session->userdata('valid') == FALSE && $this->session->userdata('id') == "") {
			redirect("Masuk");
		}		
		
		$a['dataHT']		= $this->Model_ip->getHT();
		$a['page']			= "ews";
		$this->load->view('template/beranda', $a);	
	}

	public function ewssatker()
	{
		if ($this->session->userdata('valid') == FALSE && $this->session->userdata('id') == "") {
			redirect("Masuk");
		}	
		$token = "At+DDT9Zf@9TuW7GJ5XB";
		$linkidSatker = $this->uri->segment(3);
		if (empty($linkidSatker)) {
			$linkidSatker = 1;
		};
		$this->dataUnitSatker	= $this->Model_ip->getArsipbyID($linkidSatker);
		$this->Satker 	= array(
			'id_unit' 	=> $this->dataUnitSatker[0]['id'],
			'nama_pa' 	=> $this->dataUnitSatker[0]['nama_pa'],
			'alamat_ip' => $this->dataUnitSatker[0]['alamat_ip'],
			'notelp_ketua' => $this->dataUnitSatker[0]['notelp_ketua'],
			'notelp_hakim_tinggi_pengawas' => $this->dataUnitSatker[0]['notelp_hakim_tinggi_pengawas'],
		);
	    $host     = explode(":",$this->Satker['alamat_ip']);
	    $iphost   = $host[0];
	    $porthost = $host[1];

	    $starttime = microtime(true);
	    $file      = @fsockopen($iphost, $porthost, $errno, $errstr, 10);
	    $stoptime  = microtime(true);
	    $status    = 0;
	    if (!$file) { 
	    	$a['nmSatker'] = $this->Satker['nama_pa'];
	    	redirect("Dashboard/HalError/".$this->uri->segment(3));
	    }   

	    $this->dataSatker = $this->Model_konfigurasi->getNoTelp();
	    $this->satkerpta = array(
	    	'no_telp_ketua' => $this->dataSatker[0]['no_telp_ketua'],
	    	'no_telp_waka'  => $this->dataSatker[0]['no_telp_waka'],
	    	);
	    $noTelpkpta = $this->satkerpta['no_telp_ketua'];
	    $noTelpWaka = $this->satkerpta['no_telp_waka'];

		$nmSatker = $this->Satker['nama_pa'];
		$a['nmSatker'] = $nmSatker;	
		$idsatker	   = $this->Satker['id_unit'];	
		$a['idsatker']		= $idsatker;
		$noTelpHT		= $this->Satker['notelp_hakim_tinggi_pengawas'];
		$noTelpKetua	= $this->Satker['notelp_ketua'];

		$notelpnya ="$noTelpkpta,$noTelpWaka,$noTelpHT,$noTelpKetua";

		// ---------- UNTUK EWS ------------
		$url1 				= "http://" . $this->Satker['alamat_ip'] . "/sipp/list-perkara";
		$get_url1 			= file_get_contents($url1);
		$dataAPI1 			= json_decode($get_url1);
		$dataAPI2			= json_decode($get_url1, true);
		
		$datalist 			= $dataAPI1->ListPerkara;

		foreach ($datalist as $dataews) {
			$perkara_id = $dataews->perkara_id;
			$nomor_perkara = $dataews->nomor_perkara;
			$tanggal_pendaftaran = $dataews->tanggal_pendaftaran;
			$pihak1_text = $dataews->pihak1_text;
			$pekerjaan_pihak_1 = $dataews->pekerjaan_pihak_1;
			$keterangan_pihak_1 = $dataews->keterangan_pihak_1;
			$pihak2_text = $dataews->pihak2_text;
			$pekerjaan_pihak_2 = $dataews->pekerjaan_pihak_2;
			$keterangan_pihak_2 = $dataews->keterangan_pihak_2;	
			$jenis_perkara_nama = $dataews->jenis_perkara_nama;
			$tahapan_terakhir_text = $dataews->tahapan_terakhir_text;
			$proses_terakhir_text = $dataews->proses_terakhir_text;

			$pekerjaan1 	= ambilPekerjaan($keterangan_pihak_1);
			$pekerjaan2 	= ambilPekerjaan($keterangan_pihak_2);
			$aset 			= ambilAset($keterangan_pihak_1);


			$pekerjaan = array('Kepala Desa','Lurah','Camat','Bupati','Walikota','Gubernur','Publik Figur', 'Artis', 'Selebgram', 'Kepala Dinas', 'Tokoh Masyarakat','Tokoh Agama','Tokoh Adat', 'Aparatur Pengadilan', 'Kolega Aparatur Pengadilan', 'Pejabat Pemerintahan', 'Kolega Pejabat', 'TNI', 'Polri', 'Anggota Dewan');
			$cek = $this->db->query("SELECT perkara_id FROM tb_ews WHERE perkara_id='".$perkara_id."'");

			for ($i=0;$i < sizeof($pekerjaan);$i++)
			{
				if ($cek->num_rows()<1)
				{
				if ((strtolower($pekerjaan[$i]) == strtolower($pekerjaan1)) OR (strtolower($pekerjaan[$i]) == strtolower($pekerjaan2)))
				{
						$data = array(
						'id_satker' => $idsatker,
						'nama_pa' => $nmSatker,
						'perkara_id' => $perkara_id,
						'nomor_perkara' => $nomor_perkara,
						'tanggal_pendaftaran' => $tanggal_pendaftaran,
						'pihak1_text' => $pihak1_text,
						'pekerjaan_pihak_1' => $pekerjaan_pihak_1,
						'keterangan_pihak_1' => $keterangan_pihak_1,
						'pihak2_text' => $pihak2_text,
						'pekerjaan_pihak_2' => $pekerjaan_pihak_2,
						'keterangan_pihak_2' => $keterangan_pihak_2,
						'jenis_perkara_nama' => $jenis_perkara_nama,
						'tahapan_terakhir_text' => $tahapan_terakhir_text,
						'proses_terakhir_text' => $proses_terakhir_text,

							);
						$pesan	= "NOTIFIKASI ARASY. Perkara No ".$nomor_perkara. " Satker ".$nmSatker." termonitoring diajukan oleh".$keterangan_pihak_1;

						$curl = curl_init();

						curl_setopt_array($curl, array(
						  CURLOPT_URL => 'https://api.fonnte.com/send',
						  CURLOPT_RETURNTRANSFER => true,
						  CURLOPT_ENCODING => '',
						  CURLOPT_MAXREDIRS => 10,
						  CURLOPT_TIMEOUT => 0,
						  CURLOPT_FOLLOWLOCATION => true,
						  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
						  CURLOPT_CUSTOMREQUEST => 'POST',
						  CURLOPT_POSTFIELDS => array(
						'target' => $notelpnya,
						'message' => $pesan, 
						'delay' => '5',

						),
						  CURLOPT_HTTPHEADER => array(
						    "Authorization: $token" //change TOKEN to your actual token
						  ),
						));

						$response = curl_exec($curl);

						curl_close($curl);
						echo $response;

						$insert = $this->Ews->save($data);					
				}
				}
			
				if ($aset >= 2000000000)	
				{
					if ($cek->num_rows()<1)
					{
						$data = array(
								'id_satker' => $idsatker,
								'nama_pa' => $nmSatker,
								'perkara_id' => $perkara_id,
								'nomor_perkara' => $nomor_perkara,
								'tanggal_pendaftaran' => $tanggal_pendaftaran,
								'pihak1_text' => $pihak1_text,
								'pekerjaan_pihak_1' => $pekerjaan_pihak_1,
								'keterangan_pihak_1' => '-',
								'pihak2_text' => $pihak2_text,
								'pekerjaan_pihak_2' => $pekerjaan_pihak_2,
								'keterangan_pihak_2' => '-',
								'nilai_sengketa' => $aset,
								'jenis_perkara_nama' => $jenis_perkara_nama,
								'tahapan_terakhir_text' => $tahapan_terakhir_text,
								'proses_terakhir_text' => $proses_terakhir_text,

							);
						$pesan	= "NOTIFIKASI ARASY. Perkara No ".$nomor_perkara. " Satker ".$nmSatker." Termonitoring memiliki nilai objek ".$aset;

						$curl = curl_init();

						curl_setopt_array($curl, array(
						  CURLOPT_URL => 'https://api.fonnte.com/send',
						  CURLOPT_RETURNTRANSFER => true,
						  CURLOPT_ENCODING => '',
						  CURLOPT_MAXREDIRS => 10,
						  CURLOPT_TIMEOUT => 0,
						  CURLOPT_FOLLOWLOCATION => true,
						  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
						  CURLOPT_CUSTOMREQUEST => 'POST',
						  CURLOPT_POSTFIELDS => array(
						'target' => $notelpnya,
						'message' => $pesan, 
						'delay' => '5',

						),
						  CURLOPT_HTTPHEADER => array(
						    "Authorization: $token" //change TOKEN to your actual token
						  ),
						));

						$response = curl_exec($curl);

						curl_close($curl);
						echo $response;

						$insert = $this->Ews->save($data);
						
						echo json_encode(array("status" => TRUE));		
					}		
				}				
			}
		}

		$a['list']	= $this->Ews->getDataEWS($nmSatker);

		$a['page']			= "ewssatker";
		$this->load->view('template/beranda', $a);	
	}

	public function dataBaru()
	{
		$data = $this->Ews->getTtlBlmDiawasi();
		echo json_encode($data);
	}

	public function listdataBaru()
	{
		$data = $this->Ews->getDataBlmDiawasi();
		echo json_encode($data);
	}	

	public function ambilData()
	{
		$data = $this->Ews->totalEWS();
		echo json_encode($data);
	}

	public function ajax_list()
	{
		if ($this->session->userdata('valid') == FALSE && $this->session->userdata('id') == "") {
			redirect("Masuk");
		}

		if (($this->session->userdata('id') != 1) AND ($this->session->userdata('id') != 2) AND ($this->session->userdata('id') != 3))
		{
			$list = $this->Ews->get_datatablesHT($this->session->userdata('name'));
			$itung = $this->Ews->count_filteredHT($this->session->userdata('name'));
			$itungrecord = $this->Ews->count_allHT($this->session->userdata('name'));
		}
		else
		{
			$list = $this->Ews->get_datatables();
			$itung = $this->Ews->count_filtered();
			$itungrecord = $this->Ews->count_all();
		}

		$this->load->helper('url');

		
		$data = array();
		$no = $_POST['start'];
		foreach ($list as $ess) {
			$no++;
			$row = array();
			$row[] = $ess->nama_pa;
			$row[] = '<div class="badge badge-info">'.$ess->nomor_perkara.'</div>';
			$row[] = '<div class="badge badge-warning">'.$ess->jenis_perkara_nama.'</div>';
			$row[] = tgl_jam_sql($ess->tanggal_pendaftaran);
			if ($ess->statusess == 0) 
				$row[] = '<div class="badge badge-danger"> Belum dilakukan Pengawasan/Pembinaan</div>';
			else
				$row[] = '<div class="badge badge-success"> Sudah dilakukan Pengawasan/Pembinaan</div>';

			//add html for action
			$row[] = '<a class="btn btn-icon btn-sm icon-left btn-warning" href="'.base_URL().'Ews/detail/'.$ess->id_satker.'/'.$ess->perkara_id.'" title="Detail"><i class="far fa-file"></i> Detail</a>
				<a class="btn btn-icon btn-sm icon-left btn-primary" href="javascript:void(0)" title="Pemantauan" onclick="pemantauan('."'".$ess->perkara_id."'".')"><i class="far fa-edit"></i> Pengawasan</a>
				  <a class="btn btn-icon btn-sm icon-left btn-danger" href="javascript:void(0)" title="Hapus" onclick="delete_ews('."'".$ess->perkara_id."'".')"><i class="fas fa-times"></i> Delete</a>';
		
			$data[] = $row;
		}

		$output = array(
						"draw" => $_POST['draw'],
						"recordsTotal" => $itung,
						"recordsFiltered" => $itungrecord,
						"data" => $data,
				);
		//output to json format
		echo json_encode($output);
	}

	public function ajax_edit($id)
	{
		$data = $this->Ews->get_by_id($id);
		//$data->dob = ($data->dob == '0000-00-00') ? '' : $data->dob; // if 0000-00-00 set tu empty for datepicker compatibility
		echo json_encode($data);
	}

	public function ajax_add()
	{
		$this->_validate();
		
		$data = array(
				'nama_pa' => $this->input->post('nama_pa'),
				'alamat_ip' => $this->input->post('alamat_ip'),
			);

		//if(!empty($_FILES['photo']['name']))
		//{
		//	$upload = $this->_do_upload();
		//	$data['photo'] = $upload;
		//}

		$insert = $this->Ews->save($data);

		echo json_encode(array("status" => TRUE));
	}

	public function ajax_update()
	{
		// $this->_validate();
		$status = "1";
		$keterangan = $this->input->post('keterangan');

		$data = array(
				'statusess' => $status,
				'keterangan' => $keterangan,
			);

		if($this->input->post('remove_eviden')) // if remove photo checked
		{
			if(file_exists('upload/eviden/'.$this->input->post('remove_eviden')) && $this->input->post('remove_eviden'))
				unlink('upload/eviden/'.$this->input->post('remove_eviden'));
			$data['eviden'] = '';
		}

		if(!empty($_FILES['evidenPengawasan']['name']))
		{
			$upload = $this->_do_upload();
			$data['eviden'] = $upload;
		}

		$this->Ews->update(array('perkara_id' => $this->input->post('perkara_id')), $data);
		echo json_encode(array("status" => TRUE));
	}

	public function ambildataESS($idPerk)
	{
		$perkaraSatker = $idPerk;
		$linkidSatker = $this->uri->segment(3);
		if (empty($linkidSatker)) {
			$linkidSatker = 1;
		};
		$dataUnitSatker	= $this->Model_ip->getSatkerIP($linkidSatker);
		foreach ($dataUnitSatker as $ipSatker)
		{
			$idPA = $ipSatker->id;
			$ip = $ipSatker->alamat_ip;
			$nmPA = $ipSatker->nama_pa;
			$telpHT = $ipSatker->notelp_hakim_tinggi_pengawas; 
		}
	    $host     = explode(":",$ip);
	    $iphost   = $host[0];
	    $porthost = $host[1];

	    $starttime = microtime(true);
	    $file      = @fsockopen($iphost, $porthost, $errno, $errstr, 10);
	    $stoptime  = microtime(true);
	    $status    = 0;
	    if (!$file) { 
	    	$a['nmSatker'] = $nmPA;
	    	redirect("Dashboard/HalError/".$this->uri->segment(3));
	    }   

		$nmSatker 		= $nmPA;
		$a['nmSatker'] 	= $nmSatker;	
		$idsatker	   	= $idPA;	
		$a['idsatker']	= $idsatker;
		$noTelpHT		= $telpHT;

		// ---------- UNTUK EWS ------------
		$url1 				= "http://" . $ip . "/sipp/list-perkara";
		$get_url1 			= file_get_contents($url1);
		$dataAPI1 			= json_decode($get_url1);
		$dataAPI2			= json_decode($get_url1, true);	
		// $data = json_decode($get_url1);
		$datalist 			= $dataAPI1->ListPerkara;
		foreach ($datalist as $dataews) {
		
				$a['perkara_id'] = $dataews->perkara_id;
				$a['nomor_perkara'] = $dataews->nomor_perkara;
				$a['tanggal_pendaftaran'] = $dataews->tanggal_pendaftaran;
				$a['pihak1_text'] = $dataews->pihak1_text;
				$a['pekerjaan_pihak_1'] = $dataews->pekerjaan_pihak_1;
				$a['keterangan_pihak_1'] = $dataews->keterangan_pihak_1;
				$a['pihak2_text'] = $dataews->pihak2_text;
				$a['pekerjaan_pihak_2'] = $dataews->pekerjaan_pihak_2;
				$a['keterangan_pihak_2'] = $dataews->keterangan_pihak_2;	
				$a['jenis_perkara_nama'] = $dataews->jenis_perkara_nama;
				$a['tahapan_terakhir_text'] = $dataews->tahapan_terakhir_text;
				$a['proses_terakhir_text'] = $dataews->proses_terakhir_text;
			}			
	}

	public function ajax_tambahEss()
	{
		$perkaraSatker = $this->input->post('perkara_id');
		$nmSatker		= $this->input->post('nmSatker');
		$idSatker		= $this->input->post('idSatker');
		$nomor_perkara	= $this->input->post('nomor_perkara');
		$jenis_perkara_nama	= $this->input->post('jenis_perkara_nama');
		$tbhPerkara	   = $this->input->post('tbhPerkara');
		$linkidSatker = $this->uri->segment(3);

		$tanggal_pendaftaran = $this->input->post('tanggal_pendaftaran');
		$pihak1_text = $this->input->post('pihak1_text');
		$pekerjaan_pihak_1 = $this->input->post('pekerjaan_pihak_1');
		$keterangan_pihak_1 = $this->input->post('keterangan_pihak_1');
		$pihak2_text = $this->input->post('pihak2_text');
		$pekerjaan_pihak_2 = $this->input->post('pekerjaan_pihak_2');
		$keterangan_pihak_2 = $this->input->post('keterangan_pihak_2');	
		$tahapan_terakhir_text = $this->input->post('tahapan_terakhir_text');
		$proses_terakhir_text = $this->input->post('proses_terakhir_text');		
		
		$data = array (
			'perkara_id'		=> $perkaraSatker,
			'id_satker'			=> $idSatker,
			'nama_pa'			=> $nmSatker,
			'nomor_perkara'		=> $nomor_perkara,
			'jenis_perkara_nama'	=> $jenis_perkara_nama,
			'tanggal_pendaftaran'	=> $tanggal_pendaftaran,
			'pihak1_text'			=> $pihak1_text,
			'pekerjaan_pihak_1'		=> $pekerjaan_pihak_1,
			'keterangan_pihak_1'	=> $keterangan_pihak_1,
			'pihak2_text'			=> $pihak2_text,
			'pekerjaan_pihak_2'		=> $pekerjaan_pihak_2,
			'keterangan_pihak_2'	=> $keterangan_pihak_2,
			'tahapan_terakhir_text'	=> $tahapan_terakhir_text,
			'proses_terakhir_text'	=> $proses_terakhir_text,
			'keterangan_tambahan'	=> $tbhPerkara
			 );

						$pesan	= "NOTIFIKASI ARASY. Perkara No ".$nomor_perkara. " Satker ".$nmSatker." ditambahkan ke aplikasi ARASY";
						// kirim_wa($noTelpHT, $pesan);
						$insert = $this->Ews->save($data);	
						echo json_encode(array("status" => TRUE));				

		// }
		
	}

	public function ajax_delete($id)
	{
		//delete file
		$person = $this->Ews->get_by_id($id);
		if(file_exists('upload/eviden/'.$person->eviden) && $person->eviden)
			unlink('upload/eviden/'.$person->eviden);
		
		$this->Ews->delete_by_id($id);
		echo json_encode(array("status" => TRUE));
	}

	private function _do_upload()
	{
		$config['upload_path']          = 'upload/eviden/';
        $config['allowed_types']        = 'pdf|PDF';
        $config['max_size']             = 10000; //set max size allowed in Kilobyte
        $config['max_width']            = 10000; // set max width image allowed
        $config['max_height']           = 10000; // set max height allowed
        $config['file_name']            = round(microtime(true) * 1000); //just milisecond timestamp fot unique name

        $this->load->library('upload', $config);

        if(!$this->upload->do_upload('evidenPengawasan')) //upload and validate
        {
            $data['inputerror'][] = 'photo';
			$data['error_string'][] = 'Upload error: '.$this->upload->display_errors('',''); //show ajax error
			$data['status'] = FALSE;
			echo json_encode($data);
			exit();
		}
		return $this->upload->data('file_name');
	}

	private function _validate()
	{
		$data = array();
		$data['error_string'] = array();
		$data['inputerror'] = array();
		$data['status'] = TRUE;

		if($this->input->post('nama_pa') == '')
		{
			$data['inputerror'][] = 'nama_pa';
			$data['error_string'][] = 'Masukan Nama Pengadilan Agama';
			$data['status'] = FALSE;
		}

		if($this->input->post('alamat_ip') == '')
		{
			$data['inputerror'][] = 'alamat_ip';
			$data['error_string'][] = 'iMasukan Alamat IP Public';
			$data['status'] = FALSE;
		}

		

		if($data['status'] === FALSE)
		{
			echo json_encode($data);
			exit();
		}
	}

	public function detail()
	{
		if ($this->session->userdata('valid') == FALSE && $this->session->userdata('id') == "") {
			redirect("Masuk");
		}

		$mau_ke			= $this->uri->segment(4);
		$idsatker 		= $this->uri->segment(3);

		$urlLst 			= "http://" . $this->unit['alamat_ip'] . "/sipp/list-perkara";
		$get_urlLst  		= file_get_contents($urlLst);
		$dataLst  			= json_decode($get_urlLst);

		if (empty($idsatker)) {
			$idsatker = 1;
		};
		$this->detailUnit	= $this->Model_ip->getArsipbyID($idsatker);
		$this->unitDetail 	= array(
			'id_unit' 	=> $this->detailUnit[0]['id'],
			'nama_pa' 	=> $this->detailUnit[0]['nama_pa'],
			'alamat_ip' => $this->detailUnit[0]['alamat_ip'],
		);		
		$idsdg			= "";
		$url 			= "http://" . $this->unitDetail['alamat_ip'] . "/sipp/detail-perkara/" . $mau_ke;
		$get_url 		= file_get_contents($url);
		$data 			= json_decode($get_url);
	    if (!$data) { 
	    	$a['nmSatker'] = $this->unitDetail['nama_pa'];
	    	redirect("Dashboard/HalError/".$this->uri->segment(3));
	    } 
		$perkara_id			= $mau_ke;
		$a['perkara_id']	= $perkara_id;
	
		$a['idsatker']		= $this->unitDetail['id_unit'];
		$a['alamatip']		= $this->unitDetail['alamat_ip'];

		$a['datalistPerk'] 	= $dataLst->ListPerkara;
		$a['datalist'] 		= $data->detailPerkara->dataUmum;
		$a['datapenetapan'] = $data->detailPerkara->dataPenetapan->info;
		$a['datasidang'] 	= $data->detailPerkara->jadwalSidang;
		// $a['datarelaas'] 	= $datarelaas->relaasSidang;
		$a['datamediasi'] 	= $data->detailPerkara->infoMediasi;
		$a['dataputusan'] 	= $data->detailPerkara->putusanAkhir->infoPutusan;
		$a['pengacaraP'] 	= $data->detailPerkara->pengacara->penggugat;
		$a['pengacaraT'] 	= $data->detailPerkara->pengacara->tergugat;
		$a['sela']			= $data->detailPerkara->dataPutusanSela;
		$a['dataverzet']	= $data->detailPerkara->infoVerzet->dataVerzet;

		$indikator = $this->Ews->getIndikator($mau_ke);
		foreach ($indikator as $indktr)
		{
			$pekerjaanP = $indktr->pekerjaan_pihak_1;
			$a['pekerjaanP'] = $pekerjaanP;
			$keteranganP = $indktr->keterangan_pihak_1;
			$a['keteranganP'] = $keteranganP;
			$pekerjaanT = $indktr->pekerjaan_pihak_2;
			$a['pekerjaanT'] = $pekerjaanT;
			$keteranganT = $indktr->keterangan_pihak_2;
			$a['keteranganT'] = $keteranganT;
			$nilaiObjek = $indktr->nilai_sengketa;
			$a['nilaiObjek'] = $nilaiObjek;
			$ket_tambahan = $indktr->keterangan_tambahan;
			$a['ket_tambahan'] = $ket_tambahan;
		}

		$a['page']			= "detailperkara";
		$this->load->view('template/beranda', $a);
	}	

}