<?php
defined('BASEPATH') OR exit('No direct script access allowed');

require_once APPPATH . "libraries/tcpdf/PDFMerger.php";
 
use PDFMerger\PDFMerger;

class Modalbundela extends CI_Controller {

	function __construct()
	{
		parent::__construct();

		//$this->load->helper('url');
		//$this->load->helper('form');
		$this->load->model('Model_arsipbundela','Modalbundela');
		//$this->load->helper('url');
		//$this->load->database();
	}

	public function index()
	{
		//$this->load->helper('url');
		//$this->load->view('v_cobalist_json');
	}


//	public function ajax_edit($id)
//	{
//		$data = $this->person->get_by_id($id);
//		$data->dob = ($data->dob == '0000-00-00') ? '' : $data->dob; // if 0000-00-00 set tu empty for datepicker compatibility
//		echo json_encode($data);
//	}


	public function ajax_delete($id)
	{
		//delete file
		$person = $this->Modalajax->get_by_id($id);
		if(file_exists('upload/'.$person->photo) && $person->photo)
			unlink('upload/'.$person->photo);
		
		$this->Modalajax->delete_by_id($id);
		echo json_encode(array("status" => TRUE));
	}

	public function _do_upload()
	{
		
		$dir = addslashes($this->input->post('perkara_id'));
		$fldr = "./upload/".$dir;
		if (!file_exists($fldr)) //Buat folder bername temp
		mkdir($fldr);
		$config['upload_path']          = $fldr;
        $config['allowed_types']        = 'pdf|PDF';
        $config['max_size']             = 10000; //set max size allowed in Kilobyte
        $config['max_width']            = 10000; // set max width image allowed
        $config['max_height']           = 10000; // set max height allowed
        $config['file_name']            = $dir."_".round(microtime(true) * 1000); //just milisecond timestamp fot unique name

        $this->load->library('upload', $config);

        if(!$this->upload->do_upload('arsip')) //upload and validate
        {
            $data['inputerror'][] = 'arsip';
			$data['error_string'][] = 'Upload error: '.$this->upload->display_errors('',''); //show ajax error
			$data['status'] = FALSE;
			echo json_encode($data);
			exit();
		}
		return $this->upload->data('file_name');
	}

	public function ajax_addbundela(){
		//if($this->input->post()){
			$no_perkara = $this->input->post('nomor_perkara');
			$dir = addslashes($this->input->post('perkara_id'));
			// PREPARE UPLOAD TEMPORARY
	        //$total      = count($_FILES['arsip']['name']);
	        $path       = './upload/'.$dir;
	        //var_dump($path);
			$buka		= opendir($path);
	        $pdf_files  = array();			
			if ($buka=opendir($path)){
				while (($file = readdir($buka)) !== false){
						if($file !== '.' && $file !== '..'){
							echo $file;
							$pdf_files[] = $file;
						}
				}	
			}	
	        // MERGER FILES
	        $pdf = new PDFMerger;
	        var_dump($pdf_files);
	        //die;
	        if($pdf_files){
	            foreach($pdf_files as $file){
	                $pdf->addPDF($path.'/'.$file, 'all'); }

	            //$new_file = md5(time().rand(1,10)) .'.pdf';
				$new_file = $dir.'.pdf';
	            $pdf->merge('file', APPPATH . '../upload/'.$dir.'/'.$new_file);

	        } else {
	            $new_file = '';
	        }

	        // REMOVE TEMPORARY FILES
	        //if($pdf_files){
	        //    foreach($pdf_files as $file){
	        //        @unlink('./upload/' . $dir.$file);
	        //    }
	        //
			//}	
			
		$data = array( 
				'perkara_id' => $this->input->post('perkara_id'),
				'arsip_bundela' => $new_file,
			);			
			//$data['arsip_bundela'] = $new_file;
			$insert = $this->Modalbundela->save($data);
			//echo json_encode(array("status" => TRUE));
	        $this->session->set_flashdata('success', TRUE);
	        //$this->session->set_userdata('arsip', $new_file);
		//}

		//redirect($this->agent->referrer());
	}
//	private function _validate()
//	{
//		$data = array();
//		$data['error_string'] = array();
//		$data['inputerror'] = array();
//		$data['status'] = TRUE;

//		if($this->input->post('firstName') == '')
//		{
//			$data['inputerror'][] = 'firstName';
//			$data['error_string'][] = 'First name is required';
//			$data['status'] = FALSE;
//		}

//		if($this->input->post('lastName') == '')
//		{
//			$data['inputerror'][] = 'lastName';
//			$data['error_string'][] = 'Last name is required';
//			$data['status'] = FALSE;
//		}

//		if($this->input->post('dob') == '')
//		{
//			$data['inputerror'][] = 'dob';
//			$data['error_string'][] = 'Date of Birth is required';
//			$data['status'] = FALSE;
//		}

//		if($this->input->post('gender') == '')
//		{
//			$data['inputerror'][] = 'gender';
//			$data['error_string'][] = 'Please select gender';
//			$data['status'] = FALSE;
//		}

//		if($this->input->post('address') == '')
//		{
//			$data['inputerror'][] = 'address';
//			$data['error_string'][] = 'Addess is required';
//			$data['status'] = FALSE;
//		}

//		if($data['status'] === FALSE)
//		{
//			echo json_encode($data);
//			exit();
//		}
//	}

}
