<!--ion icons -->

<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
  <!-- Content Header (Page header) -->
  <div class="content-header">
    <div class="container-fluid">
      <div class="row mb-2">
        <div class="col-sm-6">
          <h4 class="m-0">Beranda</h4>
        </div><!-- /.col -->
        <div class="col-sm-6">
          <ol class="breadcrumb float-sm-right">
            <li class="breadcrumb-item"><a href="#"><i class="fas fa-fire"></i> Beranda</a></li>
            <li class="breadcrumb-item active"></li>
          </ol>
        </div><!-- /.col -->
      </div><!-- /.row -->
    </div><!-- /.container-fluid -->
  </div>

<!-- Main content -->
<section class="content">
<div class="container-fluid">
        <div class="row">
          <div class="col-lg-4 col-6">
            <!-- small box -->

            <div class="small-box bg-warning">
              <div class="inner">
                <?php
                if ($ttlEss) {
                ?>
                  <h3><?php echo $ttlEss; ?></h3>
                <?php
                } else {
                ?>
                  <h3>0</h3>
                <?php
                }
                ?>
                <p>Perkara-perkara yang dimonitoring Gentala ARASY</p>
                  <!-- Button trigger modal -->
<!--                   <button type="button" class="btn btn-info btn-md" data-toggle="modal" data-target="#modal_perkarasisa">
                    Detail
                  </button>  -->                
              </div>
              <div class="icon">
                <i class="ion ion-pie-graph"></i>
              </div>
              <!-- <a href="#" class="small-box-footer"><i class="fas fa-sync fa-spin"></i></a> -->
            </div>
          </div>

          <div class="col-lg-4 col-6">
            <!-- small box -->
            <div class="small-box bg-info">
              <div class="inner">
                <?php
                if ($ttlDiawasi) {
                ?>
                  <h3><?php echo $ttlDiawasi; ?></h3>
                <?php
                } else {
                ?>
                  <h3>0</h3>
                <?php
                }
                ?>
                <p>Perkara yang telah dilakukan pengawasan/Pembinaan</p>               
              </div>
              <div class="icon">
                <i class="ion ion-pie-graph"></i>
              </div>
              <!-- <a href="#" class="small-box-footer"><i class="fas fa-sync fa-spin"></i></a> -->
            </div>           
          </div> 
          <div class="col-lg-4 col-6">
            <!-- small box -->
            <div class="small-box bg-primary">
              <div class="inner">
                <?php
                if ($ttlBlmDiawasi) {
                ?>
                  <h3><?php echo $ttlBlmDiawasi; ?></h3>
                <?php
                } else {
                ?>
                  <h3>0</h3>
                <?php
                }
                ?>
                <p>Perkara yang belum dilakukan pengawasan/Pembinaan</p>               
              </div>
              <div class="icon">
                <i class="ion ion-pie-graph"></i>
              </div>
              <!-- <a href="#" class="small-box-footer"><i class="fas fa-sync fa-spin"></i></a> -->
            </div>
          </div>                
        </div>

          <!-- interactive chart -->
          <div class="card card-info card-outline">
            <div class="card-header">
              <h3 class="card-title">
                <i class="far fa-chart-bar"></i>
                Jenis Perkara yang dimonitoring ESS
              </h3>

              <div class="card-tools">
                <div class="btn-group" id="realtime" data-toggle="btn-toggle">
<!--                   <button type="button" class="btn btn-default btn-sm active" data-toggle="on">On</button>
                  <button type="button" class="btn btn-default btn-sm" data-toggle="off">Off</button> -->
                  <button type="button" class="btn btn-tool" data-card-widget="collapse"><i class="fas fa-minus"></i>
                  </button>                  
                </div>
              </div>
            </div>
            <div class="card-body">
              <div class="row">
              <div class="col-md-12">
                <!-- <div id="interactive" style="height: 300px;"></div> -->
                <div id="morris-line-chart" style="height: 200px;"></div>
                <!-- <div id="chart_donut" style="height: 200px;"></div> -->
              </div>             
                  <div class="col-md-12">
                    <p class="text-center">
                      <strong>Jenis Perkara yang dimonitoring ESS</strong>
                    </p>

                    <div class="progress-group">
                      <span class="progress-text">Perkara Harta Bersama</span>
                      <span class="float-right"><b><?php echo $ttlHB; ?></b>/<?php echo $ttlEss; ?></span>
                      <div class="progress progress-sm">
                        <div class="progress-bar bg-primary" style="width: <?php echo ($ttlHB/$ttlEss)*100; ?>%"></div>
                      </div>
                    </div>
                    <!-- /.progress-group -->

                    <div class="progress-group">
                      <span class="progress-text">Perkara Kewarisan</span>
                      <span class="float-right"><b><?php echo $ttlWaris; ?></b>/<?php echo $ttlEss; ?></span>
                      <div class="progress progress-sm">
                        <div class="progress-bar bg-danger" style="width: <?php echo ($ttlWaris/$ttlEss)*100; ?>%"></div>
                      </div>
                    </div>

                    <!-- /.progress-group -->
                    <div class="progress-group">
                      <span class="progress-text">Perkara Cerai Gugat</span>
                      <span class="float-right"><b><?php echo $ttlCG; ?></b>/<?php echo $ttlEss; ?></span>
                      <div class="progress progress-sm">
                        <div class="progress-bar bg-success" style="width: <?php echo ($ttlCG/$ttlEss)*100; ?>%"></div>
                      </div>
                    </div>

                    <!-- /.progress-group -->
                    <div class="progress-group">
                      <span class="progress-text">Lain-Lain</span>
                      <span class="float-right"><b><?php echo $totalLain; ?></b>/<?php echo $ttlEss; ?></span>
                      <div class="progress progress-sm">
                        <div class="progress-bar bg-secondary" style="width: <?php echo ($totalLain/$ttlEss)*100; ?>%"></div>
                      </div>
                    </div>
                    <!-- /.progress-group -->                    
                  </div>
                  <!-- /.col -->
            </div>
            </div>
            <!-- /.card-body-->
          </div>
          <!-- /.card -->

</div>    

</section>



<!-- /.content -->
</div>
<!-- /.content-wrapper -->

    <!-- <script type="text/javascript" src="<?php //echo base_url().'assets/js/jquery-3.4.1.min.js'?>"></script> -->
    <!-- <script type="text/javascript" src="<?php //echo base_url().'assets/js/bootstrap.js'?>"></script> -->
    <!-- <script src="<?php ////echo base_url('assets/datatables/js/jquery.dataTables.min.js')?>"></script> -->
    <!-- <script src="<?php //echo base_url('assets/datatables/js/dataTables.bootstrap.min.js')?>"></script> -->
    <!-- <script src="<?php //echo base_url('assets/css/js/bootstrap.min.js')?>"></script> -->
    <!-- <script src="<?php //echo base_url('assets/bootstrap-datepicker/js/bootstrap-datepicker.min.js')?>"></script>  -->
<script src="<?php echo base_url('assets/jquery/jquery-2.1.4.min.js')?>"></script>
<script src="<?php echo base_url('assets/datatables/js/jquery.dataTables.min.js')?>"></script>
<!-- Morris JS -->
<script src="<?php echo base_url(); ?>js/morris.min.js"></script>
<script src="<?php echo base_url(); ?>assets/plugins/raphael/raphael.min.js"></script>
<script src="<?php echo base_url(); ?>assets/plugins/jquery-mapael/jquery.mapael.min.js"></script>
<script type="text/javascript">

var save_method; //for save method string
var table;
var base_url = '<?php echo base_url();?>';
var idsatker;
var nmsatker;
var ipsatker;

function detail(id)
{
    //Ajax Load data from ajax
  //Ajax Load data from ajax
    $.ajax({
        url : "<?php echo site_url('Dashboard/detail')?>/" + id,
        type: "GET",
        dataType: "JSON",
        success: function(data)
        {
            $('[name="idSatker"]').val(data.id);
            $('[name="nmSatker"]').val(data.nama_pa);
            $('[name="ipSatker"]').val(data.alamat_ip);

            $('#modal_formpa').modal('show'); // show bootstrap modal
            // $('.modal-title').text.val(data.nama_pa); // Set Title to Bootstrap modal title

          },
        error: function (jqXHR, textStatus, errorThrown)
        {
            console.log(data);
            alert('Error get data from ajax');
        }    
    });      
}

function tutup(){
    alert("Tidak dapat terhubung dengan kondisi : Status Koneksi ke Satuan kerja TERHUBUNG namun port 8080 tertutup. Atau status koneksi TERPUTUS dan port 8080 tertutup");
}   

function buka(){
    alert("Koneksi berhasil. Link sedang dalam pengembangan");
} 
</script>
<script type="text/javascript">

$(document).ready(function() {

  $('#tabelCekKoneksi').DataTable();

});

</script>

<script type="text/javascript">


Morris.Bar({
  element: 'morris-line-chart',
  data: <?php echo $chart_data; ?>,
  xkey: 'nama_pa',
  ykeys: ['jml'],
  labels: ['Jumlah Perkara'],
    barColors: function(row,series,type){
        return "#41ad0c";
            },
    ymax: 'auto[<?php echo $max_key;?>]',
  // xLabelFormat: function(x) { // <--- x.getMonth() returns valid index
  //   var month = months[x.getMonth()];
  //   return month;
  // },
  // dateFormat: function(x) {
  //   var month = months[new Date(x).getMonth()];
  //   return month;
  // },
});
  /*
   * Custom Label formatter
   * ----------------------
   */
  function labelFormatter(label, series) {
    return '<div style="font-size:13px; text-align:center; padding:2px; color: #fff; font-weight: 600;">'
      + label
      + '<br>'
      + Math.round(series.percent) + '%</div>'
  } 


// Morris.Donut({
//   element: 'morris-donut-chart',
//     colors: [
//     '#E0F7FA',
//     '#B2EBF2',
//     '#80DEEA',
//     '#4DD0E1',
//     '#26C6DA',
//     '#00BCD4',
//     '#00ACC1',
//     '#0097A7',
//     '#00838F',
//     '#006064'
//   ],
//   data: <?php echo $chart_perk; ?>,
// });
</script>
<!--     <script type="text/javascript">
      Morris.Donut({
        element: 'chart_donut',
        data: <?php //echo $chart_perk; ?>
      });
    </script> -->
