  <div class="content-wrapper">
	<div class="content-header">
        <div class="container-fluid">
        <div class="row mb-2">
          <div class="col-sm-6">
            <h4 class="m-0">Konfigurasi Satuan Kerja</h4>
          </div><!-- /.col -->
          <div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
              <li class="breadcrumb-item"><a href="#"><i class="fas fa-fire"></i> Beranda</a></li>
              <li class="breadcrumb-item active">Konfigurasi Satuan Kerja</li>
            </ol>
          </div><!-- /.col -->
        </div><!-- /.row -->
      </div><!-- /.container-fluid -->	
	  <section class="content">
      <div class="container-fluid">
      <!-- <h3>Konfigurasi Alamat IP</h3> -->
      <br />
      <div class="btn-group">
        <button class="btn btn-success" onclick="Tambah()"><i class="far fa-edit"></i> Tambah PA</button>
        <button class="btn btn-warning" onclick="reload_table()"><i class="ion-refresh"></i> Reload</button>
      </div>  
        <br />
        <br />
        <div class="row">
        <div class="col-md-12">
            <table id="table" class="table table-bordered table-striped table-light" width="100%">
                <thead>
                    <tr>
                        <th style="width:400px;">Nama Pengadilan Agama</th>
                        <th style="width:175px;">Alamat IP Public</th>
                        <th style="width:200px;">Nama Ketua</th>
                        <th style="width:200px;">No Telp Ketua</th>
                        <th style="width:200px;">Hakim Tinggi Pengawas</th>
                        <th style="width:200px;">No Telp Hakim Tinggi Pengawas</th>
						<th style="width:200px;">Action</th>
                    </tr>
                </thead>
                <tbody>
                    
                   
                </tbody>
<!--                 <tfoot>
            <tr>
            <th>Nama Pengadilan Agama</th>
            <th>Alamat IP Public</th>
            <th>Action</th>
            </tr>
            </tfoot> -->
            </table>
       </div>
	   </div>
        </div>
	   </section>
    </div>
	</div>

    <script src="<?php echo base_url('assets/jquery/jquery-2.1.4.min.js')?>"></script>
    <script src="<?php echo base_url('assets/bootstrap/js/bootstrap.min.js')?>"></script>
    <script src="<?php echo base_url('assets/datatables/js/jquery.dataTables.min.js')?>"></script>
    <script src="<?php echo base_url('assets/datatables/js/dataTables.bootstrap.min.js')?>"></script>
    <script src="<?php echo base_url('assets/bootstrap-datepicker/js/bootstrap-datepicker.min.js')?>"></script>

<script type="text/javascript">

var save_method; //for save method string
var table;
var base_url = '<?php echo base_url();?>';

$(document).ready(function() {

    //datatables
    table = $('#table').DataTable({ 

        "processing": true, //Feature control the processing indicator.
        "serverSide": true, //Feature control DataTables' server-side processing mode.
        "order": [], //Initial no order.

        // Load data for the table's content from an Ajax source
        "ajax": {
            "url": "<?php echo site_url('person/ajax_list')?>",
            "type": "POST"
        },

        //Set column definition initialisation properties.
        "columnDefs": [
            { 
                "targets": [ -1 ], //last column
                "orderable": false, //set not orderable
            },
            { 
                "targets": [ -2 ], //2 last column (photo)
                "orderable": false, //set not orderable
            },
        ],

    });

  //  datepicker
  //  $('.datepicker').datepicker({
  //     autoclose: true,
  //      format: "yyyy-mm-dd",
  //      todayHighlight: true,
  //      orientation: "top auto",
  //      todayBtn: true,
  //      todayHighlight: true,  
  //  });

    //set input/textarea/select event when change value, remove class error and remove text help block 
    $("input").change(function(){
        $(this).parent().parent().removeClass('has-error');
        $(this).next().empty();
    });
    $("textarea").change(function(){
        $(this).parent().parent().removeClass('has-error');
        $(this).next().empty();
    });
    $("select").change(function(){
        $(this).parent().parent().removeClass('has-error');
        $(this).next().empty();
    });

});



function Tambah()
{
    save_method = 'add';
    $('#form')[0].reset(); // reset form on modals
    $('.form-group').removeClass('has-error'); // clear error class
    $('.help-block').empty(); // clear error string
    $('#modal_form').modal('show'); // show bootstrap modal
    $('.modal-title').text('Tambah Data Satuan Kerja'); // Set Title to Bootstrap modal title

    $('#photo-preview').hide(); // hide photo preview modal

    $('#label-photo').text('Upload Photo'); // label photo upload
}

function edit_person(id)
{
    save_method = 'update';
    $('#form')[0].reset(); // reset form on modals
    $('.form-group').removeClass('has-error'); // clear error class
    $('.help-block').empty(); // clear error string


    //Ajax Load data from ajax
    $.ajax({
        url : "<?php echo site_url('Person/ajax_edit')?>/" + id,
        type: "GET",
        dataType: "JSON",
        success: function(data)
        {

            $('[name="id"]').val(data.id);
            $('[name="nama_pa"]').val(data.nama_pa);
            $('[name="alamat_ip"]').val(data.alamat_ip);
            $('[name="nama_ketua"]').val(data.nama_ketua);
            $('[name="notelp_ketua"]').val(data.notelp_ketua);
            $('[name="hakim_tinggi_pengawas"]').val(data.hakim_tinggi_pengawas);
            $('[name="notelp_hakim_tinggi_pengawas"]').val(data.notelp_hakim_tinggi_pengawas);
            $('#modal_form').modal('show'); // show bootstrap modal when complete loaded
            $('.modal-title').text('Edit Data Satker'); // Set title to Bootstrap modal title

            // $('#photo-preview').show(); // show photo preview modal

            // if(data.photo)
            // {
            //     $('#label-photo').text('Change Photo'); // label photo upload
            //     $('#photo-preview div').html('<img src="'+base_url+'upload/'+data.photo+'" class="img-responsive">'); // show photo
            //     $('#photo-preview div').append('<input type="checkbox" name="remove_photo" value="'+data.photo+'"/> Remove photo when saving'); // remove photo

            // }
            // else
            // {
            //     $('#label-photo').text('Upload Photo'); // label photo upload
            //     $('#photo-preview div').text('(No photo)');
            // }


        },
        error: function (jqXHR, textStatus, errorThrown)
        {
            alert('Error get data from ajax');
        }
    });
}

function reload_table()
{
    table.ajax.reload(null,false); //reload datatable ajax 
}

function save()
{
    $('#btnSave').text('saving...'); //change button text
    $('#btnSave').attr('disabled',true); //set button disable 
    var url;

    if(save_method == 'add') {
        url = "<?php echo site_url('Person/ajax_add')?>";
    } else {
        url = "<?php echo site_url('Person/ajax_update')?>";
    }

    // ajax adding data to database

    var formData = new FormData($('#form')[0]);
    $.ajax({
        url : url,
        type: "POST",
        data: formData,
        contentType: false,
        processData: false,
        dataType: "JSON",
        success: function(data)
        {
            if(data.status) //if success close modal and reload ajax table
            {
                $('#modal_form').modal('hide');
                reload_table();
            }
            else
            {
                for (var i = 0; i < data.inputerror.length; i++) 
                {
                    $('[name="'+data.inputerror[i]+'"]').parent().parent().addClass('has-error'); //select parent twice to select div form-group class and add has-error class
                    $('[name="'+data.inputerror[i]+'"]').next().text(data.error_string[i]); //select span help-block class set text error string
                }
            }
            $('#btnSave').text('save'); //change button text
            $('#btnSave').attr('disabled',false); //set button enable 


        },
        error: function (jqXHR, textStatus, errorThrown)
        {
            alert('Error adding / update data');
            $('#btnSave').text('save'); //change button text
            $('#btnSave').attr('disabled',false); //set button enable 

        }
    });
}

function delete_person(id)
{
    if(confirm('Are you sure delete this data?'))
    {
        // ajax delete data to database
        $.ajax({
            url : "<?php echo site_url('Person/ajax_delete')?>/"+id,
            type: "POST",
            dataType: "JSON",
            success: function(data)
            {
                //if success reload ajax table
                $('#modal_form').modal('hide');
                reload_table();
            },
            error: function (jqXHR, textStatus, errorThrown)
            {
                alert('Error deleting data');
            }
        });

    }
}

</script>

<!-- Bootstrap modal -->
<div class="modal fade" id="modal_form" role="dialog">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Data Satuan Kerja</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                
            </div>
            <div class="modal-body form">
                <form action="#" id="form" class="form-horizontal">
                    <input type="hidden" value="" name="id"/> 
                    <div class="form-body">
                        <div class="form-group">
                            <label class="control-label col-md-6">Nama Pengadilan Agama</label>
                            <div class="col-md-12">
                                <input name="nama_pa" placeholder="Nama Pengadilan Agama" class="form-control" type="text">
                                <span class="help-block"></span>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="control-label col-md-6">Alamat IP Public</label>
                            <div class="col-md-12">
                                <input name="alamat_ip" placeholder="Alamat IP Public" class="form-control" type="text">
                                <span class="help-block"></span>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="control-label col-md-6">Nama Ketua</label>
                            <div class="col-md-12">
                                <input name="nama_ketua" placeholder="Nama Ketua PA" class="form-control" type="text">
                                <span class="help-block"></span>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="control-label col-md-6">No.Telp Ketua</label>
                            <div class="col-md-12">
                                <input name="notelp_ketua" placeholder="No.Telp Ketua" class="form-control" type="text">
                                <span class="help-block"></span>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="control-label col-md-6">Hakim Tinggi Pengawas</label>
                            <div class="col-md-12">
                                <input name="hakim_tinggi_pengawas" placeholder="Hakim Tinggi Pengawas" class="form-control" type="text">
                                <span class="help-block"></span>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="control-label col-md-12">No.Telp Hakim Tinggi Pengawas</label>
                            <div class="col-md-12">
                                <input name="notelp_hakim_tinggi_pengawas" placeholder="No.Telp Hakim Tinggi Pengawas" class="form-control" type="text">
                                <span class="help-block"></span>
                            </div>
                        </div>                                                                                               
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <div class="btn-group">
                    <button type="button" id="btnSave" onclick="save()" class="btn btn-primary"><i class="fas fa-check"></i> Save</button>
                    <button type="button" class="btn btn-danger" data-dismiss="modal"><i class="fas fa-exclamation-triangle"></i> Cancel</button>
                </div>
            </div>
        </div><!-- /.modal-content -->
    </div><!-- /.modal-dialog -->
</div><!-- /.modal -->
<!-- End Bootstrap modal -->