<!-- Main Sidebar Container -->
<aside class="main-sidebar sidebar-light-light elevation-1">
  <!-- Brand Logo -->
  <a href="<?php echo base_url('Dashboard') ?>" class="brand-link">
    <img src="<?php echo base_url(); ?>img/logo_arasy.png" alt="AdminLTE Logo" class="brand-image img-square elevation-6" style="opacity: .8">
    <span class="brand-text font-weight-light">Gentala ARASY</span>
  </a>
      <!-- <div class="info"> -->
          <!-- <a href="#"><img src="<?php echo base_url(); ?>img/logo_arasy.png" height="100"></a> -->
      <!-- </div> -->
  <!-- Sidebar -->
  <div class="sidebar">
    <!-- Sidebar user panel (optional) -->
  <div class="user-panel mt-3 pb-3 mb-3 d-flex">
    <div class="info">
    <a href="<?php echo site_url('masuk/logout')?>" class="btn btn-icon btn-sm btn-light" data-toggle="tooltip" data-placement="top" title="Log Out Arasy"><i class="far fa-user"></i> Logout</a>
    </div>
  </div>

    <!-- SidebarSearch Form -->
    <?php
    $ci = &get_instance();
    $ci->load->model("Model_ip");
    $alamatip = $ci->Model_ip->getAllIP();
    //var_dump($alamatip);
    ?>

    <!-- Sidebar Menu -->
    <nav class="mt-2">
      <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
        <!-- Add icons to the links using the .nav-icon class
               with font-awesome or any other icon font library -->
        <li class="nav-item menu">
          <a href="<?php echo base_url('Dashboard') ?>" class="<?= $this->uri->segment(2) == 'index' || $this->uri->segment(2) == '' ? 'nav-link active' : 'nav-link' ?>">
            <i class="ion-fireball"></i>
            <p>
              Beranda
            </p>
          </a>
        </li>

    <?php if ($this->session->userdata('id') == 2) { ?>
        <li class="nav-item has-treeview <?= $this->uri->segment(2) == 'ewssatker' ? 'menu-open active' : '' ?>">
          <a href="#" class="nav-link">
            <i class="ion-social-windows"></i>
            <p>
              ARASY
              <i class="fas fa-angle-left right"></i>
            </p>
          </a>
          <ul class="nav nav-treeview"> 
          <?php
          foreach ($alamatip as $ip) {
          $idsatker = $ip->id;
          $ipsatker = $ip->alamat_ip;
          
          ?>
  
            <li class="nav-item">
                <a href="<?php echo base_url('Ews/ewssatker/' . $idsatker) ?>" class="nav-link <?= ($this->uri->segment(2) == 'ewssatker' && $this->uri->segment(3) == $idsatker) ? 'active' : '' ?>">
                  <!-- <i class="nav-icon far fa-circle  text-info"></i> -->
                  <p>
                    <?php echo $ip->nama_pa; ?>
                  </p>
                </a>
              </li>
            <!-- </ul> -->
          <!-- </li> -->
          <?php } ?>
          </ul>          
        </li>
  <?php } ?>
        <li class="nav-item">
          <a href="<?php echo base_url('Ews/ews') ?>" class="<?= $this->uri->segment(2) == 'ews' || $this->uri->segment(2) == 'ews' ? 'nav-link active' : 'nav-link' ?>">
            <i class="ion-levels"></i>
            <p>
              Monitoring ARASY <span class="badge badge-light" id="notif"></span>
            </p>

          </a>
        </li>

          <li class="nav-item has-treeview <?= ($this->uri->segment(2) == 'detail') ? 'menu-open active' : '' ?>">
              <a href="#" class="nav-link">
              <i class="ion-android-people"></i>
              <p>
                Satker se wilayah
                <i class="fas fa-angle-left right"></i>
              </p>
            </a>
          <ul class="nav nav-treeview"> 
        <?php
        foreach ($alamatip as $ip) {
          $idsatker = $ip->id;
          $ipsatker = $ip->alamat_ip;
          $nmHT     = $ip->hakim_tinggi_pengawas;

          if ($this->session->userdata('name') == $nmHT) {
        ?>
 
  
            <li class="nav-item">
                <a href="<?php echo base_url('Dashboard/detail/' . $idsatker) ?>" class="nav-link <?= ($this->uri->segment(2) == 'detail' && $this->uri->segment(3) == $idsatker) ? 'active' : '' ?>">
                  <!-- <i class="nav-icon far fa-circle  text-info"></i> -->
                  <p>
                    <?php echo $ip->nama_pa; ?>
                  </p>
                </a>
              </li>
            <!-- </ul> -->
          <!-- </li> -->
        <?php } elseif (($this->session->userdata('id') == 1) OR ($this->session->userdata('id') == 2) OR ($this->session->userdata('id') == 3)) { ?>
            <li class="nav-item">
                <a href="<?php echo base_url('Dashboard/detail/' . $idsatker) ?>" class="nav-link <?= ($this->uri->segment(2) == 'detail' && $this->uri->segment(3) == $idsatker) ? 'active' : '' ?>">
                  <!-- <i class="nav-icon far fa-circle  text-info"></i> -->
                  <p>
                    <?php echo $ip->nama_pa; ?>
                  </p>
                </a>
              </li>
        <?php }
              } ?>                        
          </ul>
        </li>
    <?php if ($this->session->userdata('id') == 2) { ?>
       
        <li class="nav-item has-treeview <?= ($this->uri->segment(1) == 'Auth') || ($this->uri->segment(1) == 'Person') || ($this->uri->segment(2) == 'editIPublic') || ($this->uri->segment(2) == 'user') ? 'menu-open active' : '' ?>">
            <a href="#" class="nav-link">
              <i class="ion-settings"></i>
              <p>
                Konfigurasi
                <i class="fas fa-angle-left right"></i>
              </p>
            </a>
          <ul class="nav nav-treeview">  
            <li class="nav-item">
              <a href="<?php echo base_url('Auth/konfigurasi') ?>" class="<?= $this->uri->segment(2) == 'konfigurasi' || $this->uri->segment(2) == 'konfigurasi' ? 'nav-link active' : 'nav-link' ?>">
                <!-- <i class="nav-icon far fa-circle  text-info"></i> -->
                <p>
                  Pengaturan
                </p>
              </a>
            </li>                  
            <li class="nav-item">
              <a href="<?php echo base_url('Person/editIpPublic') ?>" class="<?= $this->uri->segment(2) == 'editIpPublic' || $this->uri->segment(2) == 'editIpPublic' ? 'nav-link active' : 'nav-link' ?>">
                <!-- <i class="nav-icon far fa-circle  text-info"></i> -->
                <p>
                  Konfigurasi Satker
                </p>
              </a>
            </li>
            <li class="nav-item">
              <a href="<?php echo base_url('Auth/user') ?>" class="<?= $this->uri->segment(2) == 'user' || $this->uri->segment(2) == 'user' ? 'nav-link active' : 'nav-link' ?>">
                <!-- <i class="nav-icon far fa-circle  text-info"></i> -->
                <p>
                  User
                </p>
              </a>
            </li> 
            <li class="nav-item">
              <a href="<?php echo base_url('Person/cekkoneksi') ?>" class="<?= $this->uri->segment(2) == 'cekkoneksi' || $this->uri->segment(2) == 'cekkoneksi' ? 'nav-link active' : 'nav-link' ?>">
                <!-- <i class="nav-icon far fa-circle  text-info"></i> -->
                <p>
                  Cek Koneksi
                </p>
              </a>
            </li>                       
          </ul>
      </li>
    <?php } ?>
</ul>
    </nav>
    <!-- /.sidebar-menu -->
  </div>
  <!-- /.sidebar -->

          <div class="mt-4 mb-4 p-3 hide-sidebar-mini">
            <a href="https://getstisla.com/docs" class="btn btn-primary btn-lg btn-block btn-icon-split">
              <i class="fas fa-rocket"></i> Documentation
            </a>
          </div>  
</aside>



<style>
  .color-palette {
    height: 35px;
    line-height: 35px;
    text-align: right;
    padding-right: .75rem;
  }

  .color-palette.disabled {
    text-align: center;
    padding-right: 0;
    display: block;
  }

  .color-palette-set {
    margin-bottom: 15px;
  }

  .color-palette span {
    display: none;
    font-size: 12px;
  }

  .color-palette:hover span {
    display: block;
  }

  .color-palette.disabled span {
    display: block;
    text-align: left;
    padding-left: .75rem;
  }

  .color-palette-box h4 {
    position: absolute;
    left: 1.25rem;
    margin-top: .75rem;
    color: rgba(255, 255, 255, 0.8);
    font-size: 12px;
    display: block;
    z-index: 7;
  }
</style>